<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->
<%@ page   import="java.util.Hashtable"            %><!-- ReportBlox classes APIs -->
<%@ include file="textBloxUtils.jsp"               %><%-- convenience methods for setting and clearing text --%>
<%@ page   import="java.io.*"		           %><!-- for file IO	     -->

<%
	String reportName = (String)request.getParameter( "reportname" );
%>

<html>
<head>
	<title><%= reportName %> Delete Report</title>

</head>
<body>
<%
    BloxContext context = BloxContextFactory.getBloxContext(request, response);
	ReportBlox reportBlox            = (ReportBlox)context.getBlox( reportName );
	boolean    isInteractive         = reportBlox.isInteractive();
	String[]   resetDataColumns      = null;
	Hashtable  initialDataTextValues = null;

	// Specify a location to save the file. Modify this for your application.
	String appLocation        = application.getRealPath("/");
	if( appLocation.substring( appLocation.length()-1 ) != File.separator )
		appLocation += File.separator; // necessary for weblogic
	String defaultLocation    = appLocation + "html" + File.separator + "examples" + File.separator + "SaveExport";
	String styleSheetLocation = defaultLocation + File.separator + "style" + File.separator + "reportstyles.css";
	String filesLocation      = defaultLocation + File.separator + "savedreports";

	// set the report to non-interactive mode so the menu items do not get rendered
	if( reportName != null )
	{
		reportBlox     = (ReportBlox)context.getBlox( reportName );
		if( reportBlox != null )
		{
			try
			{
				String filePath = filesLocation + File.separator  + reportName + ".html";
                
                        boolean success = (new File(filePath)).delete();
    				if (!success) {
        			out.println( "Your file is not deleted at:" + filePath +"." );
    				}
				out.println( "Your file was successfully deleted at:" + filePath +"." );
			}
		    catch( Exception e )
		    {
		      	out.println( "The page not delete :\n" + e.getMessage() );
	    	    }
		}
		else
		{
				out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
</body>
</html>