<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="error.jsp" %>
<%@ page import="java.io.File" %>
<%
	String     reportName        = (String)request.getParameter( "reportname" );
	String     userName          =  request.getRemoteUser();
	String     bookmarksLocation = reportName + File.separator + userName;
%>

<html>
<head>
   <title>List Bookmarks for user <%=userName %></title>
</head>
<body>
   <p>Your bookmarks for the report <%=reportName %>:</p>
   <bloxreport:persistence id="repository" />
   <table>
   <% 
      String[] files = repository.list( bookmarksLocation, repository.LIST_TYPE_STATES );
      for( int i = 0; i < files.length; i++){
      %>
        <tr><td><a href="javascript:opener.loadBookmark( '<%=files[i] %>');"><%= files[i] %></td></tr>
      <%
      }
   %>
   </table>
</body>
</html>
