<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->
<%@ page   import="java.util.Hashtable"            %><!-- ReportBlox classes APIs -->
<%@ include file="textBloxUtils.jsp"               %><%-- convenience methods for setting and clearing text --%>


<% 
	// set the report to non-interactive mode so the menu items do not get rendered
	String     reportName            = (String)request.getParameter( "reportname" );
	ReportBlox reportBlox            = null;
	boolean    isInteractive         = false;
	String[]   resetDataColumns      = null;
	Hashtable  initialDataTextValues = null;
	
	if( reportName != null )
	{
		BloxContext context = BloxContextFactory.getBloxContext(request, response);
		reportBlox = (ReportBlox)context.getBlox( reportName );
		if( reportBlox != null )
		{
			isInteractive = reportBlox.isInteractive();
			if( isInteractive )
				reportBlox.setInteractive( false );
				
			resetDataColumns      = request.getParameterValues( "resetdatacols" );
			initialDataTextValues = setDataText( resetDataColumns, reportBlox, "<value/>" );
		}
		else
		{
			out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
<html>
<head>
	<title><%= reportName %> Printer Report</title>
	<%-- in line the styles so they will be saved if the page is saved --%>
	<style>
		<MM:BeginLock translatorClass="MM_SSI" type="ssi" orig="%3Cjsp:include page=%22style/reportstyles.css%22 flush=%22true%22/%3E" fileRef="style/reportstyles.css" depFiles="file:///C|/p4/Beagle/system/ApplicationStudio/Examples/AlphabloxReporting/html/examples/SaveExport/style/reportstyles.css">.report {
	background-color: white;
	color: black;
	font-family : Arial, sans-serif;
	border: solid 1 black;
	padding: 5;
	margin : 5;
	overflow: auto;
}

/* break groups */
.groupheader1 {
	background-color: #E3E3E3;
	color: black;
	font-size: 150%;
	text-align: center;
	padding : 10 5;
	border: solid white 1; 
}


.grouptotal1 {
	background-color: white;
	color: black;
	text-align: right;
	padding : 10 0 10 10;
	border-top: double 3 black;
	border-bottom: double 3 black;
}

.groupfooter1 {
	display : none;
}

.groupheader2 {
	color: black;
	font-size: 135%;
	text-align: left;
	padding : 10 5;
	border-bottom: solid lightgrey 1; 
}
	
.grouptotal2 {
	background-color: white;
	color: black;
	text-align: right;
	border-top: solid black thin;

}


.groupfooter2 {
	display : none;
}

.groupheader3 {
	color: black;
	font-size: 120%;
	text-align: left;
	padding : 2 20;
	border: solid white 1; 
}

.grouptotal3 {
	background-color: white;
	color: black;
	text-align: right;
	border-top: solid black 1; 

}

.groupfooter3 {
	display : none;
}


.edit {
}

.column {
	font-size: 14;
	font-weight: bold;
	padding : 2 3;
	color: black;
	text-align: left;
	border: solid white 1; 
}



.columndragged {
	font-size: 14;
	font-weight: bold;
	padding : 2 3;
	color: white;
	text-align: left;
	border: solid white 1; 
	position: absolute;
	display: none;
	background-color: darkgray;
	cursor: hand;
}

.data {
	text-align: right;
	padding-left: 5;
}

.banding {
	background-color: #CCCCFF;
}


/* Context Menu */
.menu {
	position: absolute;
	background-color: #E3E3E3 ! important;
	color: black;
	font-size: 70%; 
	font-family: sans-serif;
	text-align: left;
	padding: 1;
	margin: 1;
	cursor: default;  
	border: solid darkgray 1; 
}

.choice {
	padding : 1 5;
	white-space: nowrap;
	width: 100%;
}

.choicehover {
	background-color: darkgray;
	color: white;
	padding : 1 5;
	white-space: nowrap;
}

.separator {
	padding: 1;
	font-size: 0;
	border-top : solid 1 black
}

.selected {
	cursor: hand;
	border-color: darkgray; 
	color: black;
	background-color: lightgrey;
}

.loadingmessage {
	white-space:nowrap;
}<MM:EndLock>	
	</style>		
</head>
<body>


<%-- The reportblox tag that follows causes the html of the report to be rendered --%>
<bloxreport:report id="exportReportBlox" bloxName="<%=reportName%>" /> 

<%
	resetDataText( reportBlox, initialDataTextValues );
	
	if( isInteractive )
		   reportBlox.setInteractive( true );
%>

</body>
</html>
