<%@ page contentType='text/html; charset=UTF-8' %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<META HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8">
	<title>Relational Reporting Blox Sampler Menu</title>
	<blox:header/>

	<style>
		body {
			background: #ffffcc;
			}
		a {
			text-decoration:none;
			}
		a:hover {
			text-decoration:underline;
			}
        background-color: transparent;
		}
		.csTrNdLblSlctd	{
		    background-color: transparent;
		}
	</style>
	<link rel="stylesheet" href="html/docstyles.css" type="text/css">
</head>

<body>

<!-- This menuing system uses a TreeFormBlox and its nested Blox components.  -->

<bloxform:tree id="ReportBloxSamplerMenu" rootVisible="false">

	<bloxform:folder>

		<bloxform:item label="Introduction" 
				href="html/intro.html"
				target="mainFrame" />
		<bloxform:item label="Blox for Relational Reporting"
				href="html/reportblox.html"
				target="mainFrame" />
		<bloxform:item label="The Simplest Report"
				href="html/simple.html"
				target="mainFrame" />
		<bloxform:item label="The Simplest Interactive Report" 
				href="html/simpleinteractive.html"
				target="mainFrame" />
		<bloxform:item label="An Example Demonstrating the Various Blox"
				href="html/examples/allTheBlox.jsp"
				target="mainFrame" />
		<bloxform:item label="Sorting, Filtering, Hiding, and Calculating Data"
				href="html/processData.html"
				target="mainFrame" />
		<bloxform:item label="Formatting the Report and Data" 
				href="html/formatReport.html"
				target="mainFrame" />
		<bloxform:item label="Grouping and Adding Group-based Summary Columns" 
				href="html/groupData.html"
				target="mainFrame" />
		<bloxform:item label="Saving and Exporting Data with Dynamic Queries" 
				href="html/export.html"
				target="mainFrame" />

	</bloxform:folder>

</bloxform:tree>

</body>

</html>