<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox - Commonly Used Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>ChartBlox - Commonly Used Settings</h2>
<p>This ChartBlox uses some of the more commonly used property settings, including the following component properties:</p>
<ul>
  <li>chart: height, width, title, and chartType</li>
  <li>data: useAliases</li>
<br>

<blox:chart id="CommonChartBlox"
	width="90%"
	height="90%"
	title="Products by Time"
	chartType="Bar">

	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
		useAliases="true" />

</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxBasics/chartBloxCommon.jsp">View Source</a>

</body>

</html>
