<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>GridBlox - Required</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>GridBlox - Required Settings</h2>
<p>This GridBlox uses the minimum property settings required to generate a grid view. </p>
<br>
<blox:grid id="RequiredGridBlox">

	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'/>

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxBasics/gridBloxRequired.jsp">View Source</a>

</body>

</html>
