<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="ercPresentBlox"
	visible="false"
	chartAvailable="false">

	<blox:dataLayout
		visible="false" />

	<blox:grid
		bandingEnabled="true" />

<blox:data
	dataSourceName="QCC-Essbase"
	query='<SYM <ROW ("All Locations") <ICHILD "All Locations" <COL ("All Time Periods",Scenario) "2000" <CHILD Scenario Sales !'
 	useAliases="true" />

	<bloxui:gridSpacer
		axis="column"
		position="before"
		scope="{ Forecast; 2000 }"
		showOnLayoutMenu="true"
		description="Empty Column"
		style="background-color: blue;"
		width="10" />

	<bloxui:gridSpacer
		axis="row"
		position="after"
		scope="{ All Locations:East; }"
		showOnLayoutMenu="true"
		description="Empty Row"
		style="background-color: yellow;"
		height="10" />
        
</blox:present>

<html>

<head>
<title>Spaces in Rows and Columns</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Spaces in Rows and Columns</h2>
<p>Uses a nested <code>&lt;bloxui:gridSpacer&gt;</code> tag in a GridBlox to create row and column spaces with developer-defined size
and colors.</p>
<br>

<blox:display bloxRef="ercPresentBlox"
    height="90%"
    width="100%"/>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/gridSpacer.jsp">View Source</a>

</body>

</html>