<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<html>
  <head><title>Histogram Chart</title>
  <blox:header/>
</head>
  
<body>
<h2>Histogram Chart</h2>
<p>This is an example of a histogram chart, which displays the number of times a data value in a 
selected column falls within a specified bin. Select Chart > Data Configuration from the menu bar, 
then click the Histogram Options tab to see the options set for this histogram.</p>
<br>

  <blox:present id="histogramEssbase" 
	height="500" width="700"
	dataLayoutAvailable="false"
	toolbarVisible="false"
 	dividerLocation="0.3">
  	<blox:data dataSourceName="QCC-Essbase"
    	   query='"West" <COLUMN ("Measures") <SYM "Sales" <ROW ("All Time Periods") <ICHILD "Jan 01" <ICHILD "Feb 01" <ICHILD "Mar 01" "Qtr 1 01" <ICHILD "Apr 01" <ICHILD "May 01" <ICHILD "Jun 01" "Qtr 2 01" <ICHILD "Jul 01" <ICHILD "Aug 01" <ICHILD "Sep 01" "Qtr 3 01" <ICHILD "Oct 01" <ICHILD "Nov 01" <ICHILD "Dec 01" "Qtr 4 01" "2001" !'
        hiddenMembers="Week Ending:2000,2001.01,2001.02,2001.Q1,2001.03,2001.04,2001.05,2001.Q2,2001.06,2001.07,2001,2001.Q4,2001.12,2001.11,2001.10,2001.Q3,2001.09,2001.08" />

  	<blox:chart chartType="Histogram, Vertical"
    	    histogramOptions="addCumm=false;binMode=basic;useSize=true;binSize=25000;minBin=60000"/>
  </blox:present>
  
<br>
<a href="tags/histogram.jsp" target="CodeView">Display Code View</a>

</body>
</html>

