<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>GridBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

</head>

<body>

<h2>GridBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:grid id="pdfGridBlox"
	width="600"
	height="400"
	noDataMessage="Loading..."
	bandingEnabled="false"
	showRowDataGeneration="true">

	<blox:cellAlert
		condition="between"
		value="4000"
		value2="6000"
		background="pink" />

	<blox:data 
 		dataSourceName="QCC-Essbase"
		query = '<SYM <ROW ("Chocolate Type", "All Time Periods", Scenario) <COL ("All Locations") <ICHILD "Chocolate Type" <ICHILD "All Time Periods" <ICHILD Scenario <ICHILD  "All Locations" !'
		useAliases="true" />

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/ConvertingToPDF/gridToPDF.jsp">View Source</a>

</body>
</html>
