<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="errorPage.jsp" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Error Page Test</title>
	<blox:header/>
</head>

<body>
<h2>Custom Error Page</h2>
<p>Shows an example of a custom error page being returned when a run-time Java exception is thrown.</p>

<form>
	<input type="button" value="Generate Error" onClick="document.location.href='generateError.jsp'">
</form>


<blox:grid id="errorTestPB"
	menubarVisible="true">
	<blox:toolbar />
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <CHILD "100" <COLUMN (Scenario) <CHILD Scenario <PAGE (Measures) Sales !'
		useAliases="true" />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/ErrorHandling/errorTest.jsp">View Source</a>

</body>
</html>
