<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Fixed Choice Lists</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Fixed Choice List</h2>
<p>Shows an example of a fixed choice
      list created using <code>fixedChoiceLists</code> and <code>moreChoicesEnabled</code> properties on
      the nested PageBlox to filter the choices a user has with a PresentBlox.</p>
<br>

<blox:present id="fcPresentBlox"
	width="600"
	height="200"
	menubarVisible="false"
	chartAvailable="false"
	dataLayoutAvailable="false">
	<blox:toolbar visible="false" />
	<blox:page
		moreChoicesEnabledDefault="false"
		fixedChoiceLists="All Locations:Central,East" />
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Products") <ICHILD "All Products" <COL (Scenario) <CHILD Scenario "2001" Central Sales !'
		useAliases="true"
		selectableSlicerDimensions="All Locations" />
		<blox:grid 
			bandingEnabled="true"
			defaultCellFormat="#,###" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Filtering/fixedChoiceList.jsp">View Source</a>

</body>

</html>