<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<html>
<head>
  <title>Hidden Dimensions</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>Hidden Dimensions</h2>
<p>In the displayed PresentBlox, the
      DataLayout panel only has a subset of the dimensions  to users.</p>
<br>

<blox:present id="CommonPresentBlox"
	width="650"
	height="500"
	splitPane="true"
	dividerLocation="1.0">
	<blox:dataLayout
		hiddenDimensionsOnOtherAxis="Date Introduced,Date Opened,Has Nuts,Pieces Per Package,Chocolate Type,Ounces Per Package" />
  <blox:data
    dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
		useAliases="true"/>
	<blox:grid
	  defaultCellFormat="#,###"
	  bandingEnabled="true" />
	<blox:chart
		chartType="Bar" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Filtering/hiddenDimensions.jsp">View Source</a>
</body>

</html>
