<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<html>
<head>
	<title>Hidden Members</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Hidden Members</h2>
<p>In this grid example, the Scenario member of the Scenario dimension is only visible when drilling up.</p>
<br>

<blox:grid id="hmGridBlox"
	width="650"
	height="400"
	bandingEnabled="true"
	defaultCellFormat="#,###">
	<blox:data 
	dataSourceName="QCC-Essbase"
	hiddenMembers="Scenario: Scenario"
	query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods",Scenario) <CHILD "All Time Periods" <ICHILD Scenario <PAGE (Measures) Sales !'
	
	useAliases="true" />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Filtering/hiddenMembers.jsp">View Source</a>

</body>

</html>
