<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="presentBlox4"
	visible="false"
	width="600"
	height="400"
	splitPane="false">
	<blox:data
		dataSourceName="QCC-Essbase"
		useAliases="true" />
	<blox:grid
		bandingEnabled="true" />
	<blox:chart
		chartType="Bar" />
</blox:present>

<%
  String query="<ROW(\"All Products\") <ICHILD \"All Products\" <COLUMN(\"All Time Periods\") <CHILD \"All Time Periods\" <PAGE(\"All Locations\") \"All Locations\" !";

  presentBlox4.getDataBlox().setQuery(query);
  presentBlox4.getDataBlox().connect();
%>

<html>

<head>

<title>Query Set by by HTML Buttons</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header>
	<blox:clientBean name="presentBlox4">
		<blox:method name="data.setQuery" />
		<blox:method name="data.connect" />
	</blox:clientBean>
</blox:header>

<script language="JavaScript">

function getMarket(selectedMarket) {
	query='<ROW("All Products") <ICHILD "All Products" <COLUMN("All Time Periods") '+
    	'<CHILD "All Time Periods" <PAGE("All Locations") ' + selectedMarket + ' !';

	document.presentBlox4.getDataBlox().setQuery(query);
	document.presentBlox4.getDataBlox().connect();
}

</script>

</head>

<body>

<h2>Query Set by HTML Buttons</h2>
<p>Shows a Blox with HTML buttons changing and re-executing 
the query. </p>
<br>

<form name="MarketForm">
  <input type="button" name="region" value="West" onClick="getMarket(this.value);">
  <input type="button" name="region" value="Central" onClick="getMarket(this.value);">
  <input type="button" name="region" value="East" onClick="getMarket(this.value);">
</form>

<!-- Render the Blox -->
<blox:display bloxRef="presentBlox4" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/htmlButtonsSettingQuery.jsp">View Source</a>

</body>

</html>