<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="nonclickablePresentBlox" 
	visible="false"
	width="100%" 
	height="90%"
	menubarVisible="false">

    <bloxui:component 
    	name="nonclickablePresentBlox" 
    	clickable="false" />
		
	<blox:toolbar visible="false" />
		
	<blox:dataLayout visible="false" />

	<blox:data 
		dataSourceName="QCC-Essbase" 
		useAliases="true"
    	query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
    	selectableSlicerDimensions="Market" />

</blox:present>

<html>

<head>
<title>Static (non-clickable) PresentBlox</title>
<blox:header />
</head>

<body>
<h2>Static (non-clickable) PresentBlox</h2>
<p>Shows the use of the <code>&lt;bloxui:component&gt;</code> tag to set the PresentBlox
 to be non-interactive.</p>
<br>

<blox:display bloxRef="nonclickablePresentBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/nonclickable.jsp">View Source</a>

</body>
</html>

