<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:repository id="personalRB" />

<html>
<head>
	<title>Personal Preferences</title>
	
	<blox:header>
		<blox:clientBean name="personalRB">
			<blox:method name="setUserProperty" />
		</blox:clientBean>
	</blox:header>
	
<script language="JavaScript">

// Must set the selected item in the bandingEnabled drop down list.
function onLoadFn() {
	var banding = userSettings.bandingEnabled;
	
	setBanding:
	for (var i=0; i<banding.length; i++) {
		if (banding.options[i].value == "<%= personalRB.getUserProperty("bandingenabled") %>") {
			banding.selectedIndex = i;
			break setBanding;
		}
	}
}

// Call a window closer from the parent file.
function closeWindow() {
	window.close();
}

// Save the properties in the repository.
function save() {
	var theForm = userSettings;
	var fullName = theForm.fullName.value;
	var email = theForm.email.value;
	var banding = theForm.bandingEnabled.options[theForm.bandingEnabled.selectedIndex].value;
	
	document.personalRBAPI.setUserProperty("propername", fullName);
	document.personalRBAPI.setUserProperty("emailaddress", email);
	document.personalRBAPI.setUserProperty("bandingenabled", banding);
	
	opener.location.reload(true);

}

</script>

</head>

<body onLoad="onLoadFn();" topmargin="0">

<h3 style="color:blue">User Personalization</h3>

<form name="userSettings">
	<table width="100%" border="0" cellspacing="2" cellpadding="2">
		<tr>
			<td>Full Name:</td>
			<td>
				<input type="text" name="fullName" value="<%= personalRB.getUserProperty( "propername" ) %>" />
			</td>
		</tr>
		<tr>
			<td>Email Address:</td>
			<td>
				<input type="text" name="email" value="<%= personalRB.getUserProperty( "emailaddress" ) %>" />
			</td>
		</tr>
		<tr>
			<td>Use Row Banding?</td>
			<td>
				<select name="bandingEnabled">
					<option value="false">False</option>
					<option value="true">True</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><br />
				<input type="button" value="Apply" onClick="save();" />
				<input type="button" value="Close" onClick="closeWindow();" />
			</td>
		</tr>
	</table>
	<br />
	<br />
</form>

</body>

</html>
