<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox - Required Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header />
</head>

<body>

<h2>ChartBlox - Required Settings</h2>
<p>This ChartBlox uses the minimum settings required to successfully generate a chart view. </p>
<br>

<blox:chart id="RequiredChartBloxMSAS">

	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])" />

</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxBasics/chartBloxRequired.jsp">View Source</a>

</body>

</html>
