<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>GridBlox  - Commonly Used Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" >
	<blox:header/>
</head>

<body>

<h2>GridBlox  - Commonly Used Settings</h2>
<p>This GridBlox uses the following frequently modified property settings:</p>
<ul>
  <li>grid: height, width, and defaultCellFormat</li>
  <li>data: useAliases</li><br>

<blox:grid id="CommonGridBloxMSAS"
	width="100%"
	height="90%"
	defaultCellFormat="#,###">

	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])" 
		useAliases="true" />
		

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxBasics/gridBloxCommon.jsp">View Source</a>

</body>

</html>
