<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<TITLE>"Scatter1"</TITLE>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Scatter Chart 1</h2>
<p>Scatter charts are  useful for comparing large numbers of data points 
without regard to time. In the example below,  the scatter points each 
represent different products, comparing Avg Unit Price and Sales. 
With the <code>chartType</code> attribute set to <code>Scatter</code>,
the <code>dataValueLocation</code> attribute specifies the members that should
appear on the axes. </p>

<blox:present id="Scatter1MSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />
	
	<blox:chart 
		chartType="Scatter"
		dataValueLocation="Measures:Avg Unit Price, Sales"
		legendPosition="bottom" />
	
	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {[Measures].[Sales], [Measures].[Avg Unit Price]} ON AXIS(0), {[Products].[Code].[All Products].[300].[310], [Products].[Code].[All Products].[300].[320], [Products].[Code].[All Products].[300].[330], [Products].[Code].[All Products].[300].[340]} ON AXIS(1) FROM [qcc]" />

</blox:present>
<br>
<a href="tags/Scatter1.jsp" target="CodeView">Display Code View</a>

</body>
</html>