<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<title>Scatter Chart 2</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Scatter Chart 2</h2>
<p>Scatter charts are  useful for comparing large numbers of
data points without regard to time. In the following example, products are compared using two measures, Units Sold and Avg Unit Price, defined in the <code>dataValueLocation</code> attribute.</p>
<blox:present id="Scatter2MSAS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Scatter"
		dataValueLocation="Measures:Units Sold, Avg Unit Price"
		legendPosition="bottom" />
	
	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {[Measures].[Units Sold], [Measures].[Avg Unit Price]} ON AXIS(0), {[Products].[Code].[All Products].[300].[310], [Products].[Code].[All Products].[300].[320], [Products].[Code].[All Products].[300].[330], [Products].[Code].[All Products].[300].[340]} ON AXIS(1) FROM [qcc]" />

</blox:present>
<br>
<a href="tags/Scatter2.jsp" target="CodeView">Display Code View</a>


</body>
</html>