<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<html>
  <head><title>Histogram</title>
  <blox:header/>
</head>
  
<body>
<h2>Histogram Chart</h2>
<p>This is an example of a histogram chart, which displays the number of times a data value in a 
selected column falls within a specified bin. Select Chart > Data Configuration from the menu bar, 
then click the Histogram Options tab to see the options set for this histogram.</p>
<br>

  <blox:present id="histogramMSAS" 
	height="500" width="700"
	dataLayoutAvailable="false"
	toolbarVisible="false"
 	dividerLocation="0.3">
  	<blox:data dataSourceName="qcc-msas"
    	   query="SELECT
 DISTINCT( {[Measures].[COGS]} )  ON AXIS(0)
, DISTINCT( {[Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-06-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-13-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-20-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01].[01-27-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01].[02-03-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01].[02-10-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01].[02-17-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01].[02-24-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01].[03-03-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01].[03-10-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01].[03-17-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01].[03-24-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01].[03-31-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Apr 01].[04-07-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Apr 01].[04-14-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Apr 01].[04-21-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Apr 01].[04-28-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[May 01].[05-05-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[May 01].[05-12-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[May 01].[05-19-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[May 01].[05-26-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01].[06-02-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01].[06-09-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01].[06-16-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01].[06-23-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01].[06-30-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Jul 01].[07-07-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Jul 01].[07-14-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Jul 01].[07-21-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Jul 01].[07-28-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Aug 01].[08-04-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Aug 01].[08-11-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Aug 01].[08-18-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Aug 01].[08-25-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01].[09-01-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01].[09-08-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01].[09-15-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01].[09-22-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01].[09-29-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Oct 01].[10-06-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Oct 01].[10-13-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Oct 01].[10-20-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Oct 01].[10-27-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Nov 01].[11-03-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Nov 01].[11-10-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Nov 01].[11-17-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Nov 01].[11-24-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01].[12-01-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01].[12-08-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01].[12-15-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01].[12-22-2001], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01].[12-29-2001]} )  ON AXIS(1)
FROM [qcc]" />
  	<blox:chart chartType="Histogram, Vertical"
    	    histogramOptions="addCumm=false;binMode=basic;useSize=true;binSize=25000;minBin=28000"/>
  </blox:present>

<br>
<a href="tags/histogram.jsp" target="CodeView">Display Code View</a>
 
</body>
</html>

