<%@ page import="com.alphablox.blox.comments.Comment,
                 com.alphablox.blox.comments.CommentSet,
                 java.util.*,
                 com.alphablox.blox.CommentsBlox" %>
				 
<%@ taglib uri="bloxtld" prefix="blox" %>

<%
    String context = (String) request.getParameter("context");

    CommentSet commentSet = (CommentSet) session.getAttribute(context + ".Comments.currentCommentSet");
    if (commentSet == null)
        throw new RuntimeException("No commentSet found in session context in commentNew.jsp");

    CommentsBlox commentsBloxMSAS = (CommentsBlox) session.getAttribute(context + ".Comments.currentCommentsBlox");
    if (commentsBloxMSAS == null)
        throw new RuntimeException("No commentsBloxMSAS found in session context in commentNew.jsp");

%>

<html>

<head>
    <title>New Comment</title>
	<link href="../../../Essbase/Commenting/PageComments/comments.css" rel="stylesheet" type="text/css">
    <blox:header />

<script language="JavaScript">
	
function onLoadFn() {
    document.saveForm.elements[0].focus();
    setupButton( document.getElementById("saveButton") );
    setupButton( document.getElementById("cancelButton") );
}

function setupButton(button) {
    button.onmouseover = new Function("this.style.border='thin outset';");
    button.onmouseout = new Function("this.style.border='thin groove';");
    button.onmousedown = new Function("this.style.border='thin inset';");
    button.onmouseup = new Function("this.style.border='thin outset';");

}

function saveComment() {
    var saveForm = document.saveForm;

    var commentText = saveForm.field_<%=Comment.FIELD_COMMENTTEXT%>.value;
    if (commentText.length == 0) {
        alert("You must enter text for the comment.");
        return;
    }

    var queryString = "?eventName=saveComment&context=<%= context %>";
    var regExpForPlus = /\+/g;

    for(var i=0; i<saveForm.elements.length; i++) {
        name = saveForm.elements[i].name;
        value = saveForm.elements[i].value;

        // Turn '+' into escaped characters
        value = escape(value);
        value = value.replace(regExpForPlus, "%2B");

        queryString += "&" + name + "=" + value;
    }


    var response = talkToServer("saveComment.jsp" + queryString);

    if (response.indexOf("Exception") != -1) {
        alert(response);
        return;
    } else {
        window.opener.refreshPageComments();
        window.close();
    }
}

function cancelComment() {
    window.close();
}

// Use this method to make a call to the server.
function talkToServer(url) {
    // using bloxHttp available from blox:header
    var xmlhttp = bloxHttp._xmlHttp;

    xmlhttp.open("POST", url, false);
    xmlhttp.send();
    return xmlhttp.responseText;
}

</script>
	
</head>

<body class="clsDataCellBanded" onload="onLoadFn();">

<form name="saveForm" method="post" action="../../../Essbase/Commenting/PageComments/saveComment.jsp">

<table width="100%" cols="3" border="0" align="center" class="small">

<%
    Comment comment = new Comment();
    commentsBloxMSAS.getFieldNames();
    String[] fieldNames = commentsBloxMSAS.getFieldNames();

    for (int i = 0; i < fieldNames.length; i++) {
        if (!fieldNames[i].equals(Comment.FIELD_AUTHOR)
                && !fieldNames[i].equals(Comment.FIELD_TIMESTAMP)
                && !fieldNames[i].equals(Comment.FIELD_COMMENTTEXT)) {   %>
            <tr>
            <td width="10%" class="heading"><%= fieldNames[i] %>:</td>
            <td colspan="2">
                <input type="text" name="field_<%=fieldNames[i]%>"
                    class="reduced"
                    style="width:100%"
                    tabindex="<%= i+1 %>"/>
            </td>
            </tr><%
        }
    }
%>

    <tr><td colspan="3">&nbsp;</td></tr>

    <tr>
        <td colspan="3" class="heading">Comment Text:</td>
    <tr>
        <td colspan="3">
        <textarea rows="8" name="field_<%= Comment.FIELD_COMMENTTEXT %>"
            class="reduced"
            style="width: 100%;"
            tabindex="<%= fieldNames.length+1 %>"></textarea>
        </td>
    </tr>
</table>
<br />

<!-- Buttons -->

<div style="width: 100%; text-align: center;">
    <span style="line-height:5px;"><br /></span>
    <a id="saveButton" href="javascript:saveComment();" class="button">Save</a>
    <a id="cancelButton" href="javascript:cancelComment();" class="button">Cancel</a>
    <span style="line-height:5px;"><br /><br /></span>
</div>

</form>

</body>

</html>