<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<html>
<head>
  <title>Comments-Enabled PresentBlox</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2>Comments-Enabled PresentBlox</h2>
<p>A PresentBlox with comments enabled after setting the <code>commentsEnabled</code> attribute
      on the nested GridBlox and adding a CommentsBlox tag (<code>&lt;blox:comments&gt;</code>)
      to the nested DataBlox.</p>
<br>

<blox:present id="CommentsPresentBloxMSAS"
  width="650"
  height="500"
  splitPane="true"
  dividerLocation=".5">
	<blox:grid
		commentsEnabled="true"
		defaultCellFormat="#,###"
		bandingEnabled="true" />
  <blox:data
    dataSourceName="QCC-MSAS"
		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])">
		<blox:comments
			collectionName="CommentsCollectionMSAS"
			dataSourceName="CommentsCollectionMSAS" />
	</blox:data>
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Commenting/commentsEnabled.jsp">View Source</a>

</body>

</html>
