<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>Hidden Members</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" >
	<blox:header/>
</head>

<body>

<h2>Hidden Members</h2>
<p>In this grid example, the Scenario member of the Scenario dimension is only visible when drilling up.</p>
<br>

<blox:grid id="hmGridBloxMSAS"
	visible="true"
	width="650"
	height="400"
	bandingEnabled="true"
	defaultCellFormat="#,###">
	<blox:toolbar />
	<blox:data 
		dataSourceName="QCC-MSAS"
		hiddenMembers="Scenario: All Scenario"
		query="SELECT CROSSJOIN ({[Time].[Fiscal].[All Time Periods].[FY2000].[Qtr 3 FY00],[Time].[Fiscal].[All Time Periods].[FY2000].[Qtr 4 FY00]},{[Scenario].[All Scenario],[Scenario].[All Scenario].[Actual],[Scenario].[All Scenario].[Budget],[Scenario].[All Scenario].[Revised]}) ON COLUMNS, {[Products].[Category].[All Products].Children} ON ROWS FROM QCC WHERE ([Measures].[Sales])"/>
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Filtering/hiddenMembers.jsp">View Source</a>

</body>

</html>
