<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="CBPresentBloxMSAS"
	visible="false"
	width="600"
	height="350">
	<blox:toolbar/>
	<blox:data
		dataSourceName="QCC-MSAS"
		query="SELECT {[Time.Calendar].[All Time Periods].Children} ON COLUMNS, {[Products.Category].[All Products].Children, [Products.Category].[All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])" />
</blox:present>

<%
	session.setAttribute("CBPresentBloxMSAS_DataBlox",CBPresentBloxMSAS.getDataBlox());
	session.setAttribute("CBPresentBloxMSAS_GridBlox",CBPresentBloxMSAS.getGridBlox());
%>

<html>
<head>
    <title>CheckBoxFormBlox Setting bandingEnabled</title>
	<blox:header/>
</head>

<body>

<h2>CheckBoxFormBlox Setting bandingEnabled</h2>
<p>Shows the use of a CheckBoxFormBlox to enable alternate row banding.</p>

<table>
<tr>
<td>
<bloxform:checkBox id="bandingCheckBox"
  title="Enable Alternate Row Banding">
 <bloxform:setChangedProperty 
 	targetRef="CBPresentBloxMSAS_GridBlox" 
	targetProperty="bandingEnabled" />
 </bloxform:checkBox>
</td>
</tr>
</table>
<blox:display bloxRef="CBPresentBloxMSAS" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/FormBlox/checkBoxFormBlox.jsp">View Source</a>

</body>

</html>