<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Asymmetric Report - Events Limiting Interactions</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Asymmetric Report - Nested GridBlox Disabled</h2>

<br>

<blox:present id="AR2PresentBloxMSAS">
	<blox:dataLayout visible="false" />
	<blox:toolbar visible="false" />
	<blox:grid bloxEnabled="false" />
	<blox:chart visible="false" />
	<blox:data 
		dataSourceName="QCC-MSAS"
		query="SELECT {([Time].[All Time Periods].[2000], [Scenario].[Actual]), ([Time].[All Time Periods].[2001], [Scenario].[Actual]), ([Time].[All Time Periods].[2001], [Scenario].[Budget]), ( [Time].[All Time Periods].[2001], [Scenario].[Variance]), ([Time].[All Time Periods].[2001], [Scenario].[Variance %])} ON COLUMNS, {[Products].[All Products], [Products].[All Products].[Chocolate Blocks], [Products].[All Products].[Chocolate Nuts], [Products].[All Products].[Specialties], [Products].[All Products].[Truffles]} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Interacting/asymReportNestedBloxDisabled.jsp">View Source</a>
  
</body>

</html>
