<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="nonclickablePresentBloxMSAS" 
	visible="false"
	width="100%" 
	height="90%"
	menubarVisible="false">

    <bloxui:component 
    	name="nonclickablePresentBloxMSAS" 
    	clickable="false" />
		
	<blox:toolbar visible="false" />
		
	<blox:dataLayout visible="false" />

	<blox:data 
		dataSourceName="QCC-MSAS" 
		useAliases="true"
   		query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])"
   		selectableSlicerDimensions="'All Locations'"  />

</blox:present>

<html>

<head>
<title>Static (non-clickable) PresentBlox</title>
<blox:header />
</head>

<body>
<h2>Static (non-clickable) PresentBlox</h2>
<p>Shows the use of the <code>&lt;bloxui:component&gt;</code> tag to set the PresentBlox
 to be non-interactive.</p>
<br>
<blox:display bloxRef="nonclickablePresentBloxMSAS" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Interacting/nonclickable.jsp">View Source</a>

</body>
</html>