<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox totalsFilter Slider Enabled</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Chart totalsFilter Selector Enabled</h2>
<p>Shows the use of a generations level selector at the bottom of the chart 
for user interaction to control product and time dimensions displayed. </p>

<br>

<blox:chart id="totalsFilterChartBloxMSAS"
	width="90%"
	height="90%"
	chartType="Bar"
	totalsFilter="2"
	title="Truffle Sales for 2001">
	<blox:data
		dataSourceName="QCC-MSAS"
	query="SELECT {DESCENDANTS([All Time Periods].[2001])} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=MSAS/Interacting/totalsFilterChart.jsp">View Source</a>

</body>

</html>

