<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:present id="PresentBlox3MSAS"
  visible="false"
  width="90%"
  height="90%"
  splitPane="false">
  <blox:data
    dataSourceName="QCC-MSAS" />
  <blox:grid
    bandingEnabled="true" />
  <blox:chart
    chartType="Bar" />
</blox:present>

<%
  String query= "SELECT{ { [All Time Periods].Children } } ON COLUMNS, "+
  							" { { [All Products].Children, [All Products]} } ON ROWS "+
								" FROM qcc WHERE ( [Measures].[Sales] )";

  PresentBlox3MSAS.getDataBlox().setQuery(query);
  PresentBlox3MSAS.getDataBlox().connect();
%>

<html>

<head>
	<title>PresentBlox with Initial Query in Scriptlet</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Initial Query Using JSP Scriptlet</h2>
<p>Shows a Blox being loaded with the initial query set using 
a JSP scriptlet.</p>
<br>

<blox:display bloxRef="PresentBlox3MSAS" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Retrieving/queryScriptlet.jsp">View Source</a>

</body>

</html>
