<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.HashMap,
			com.alphablox.blox.uimodel.BloxModel,
			com.alphablox.blox.uimodel.ModelConstants,
			java.io.PrintWriter,
			java.io.Writer,
			java.util.Iterator,
			java.io.IOException,
                        com.alphablox.blox.*,
			com.alphablox.blox.ViewBlox,
			com.alphablox.blox.uimodel.GridBloxModel,
                        com.alphablox.blox.uimodel.GridBrixModel,
			com.alphablox.blox.GridBlox,
			com.alphablox.blox.uimodel.core.event.*,
                        com.alphablox.blox.uimodel.core.grid.*,
			com.alphablox.blox.uimodel.core.*,
                        com.alphablox.blox.uimodel.tags.*,
                        com.alphablox.blox.DataViewBlox,
                        com.alphablox.blox.data.mdb.*,
                        com.alphablox.util.Object2XML,
			com.alphablox.blox.uimodel.GridBrixCellModel,
            com.alphablox.bloxsampler.banding.BandingFilter"%>


<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxuitld" prefix='bloxui'%>

<blox:data id="rbDataBloxMSAS"
	dataSourceName="QCC-MSAS"
	query="SELECT {[All Time Periods].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM QCC WHERE ([Measures].[Sales])" />

<html>

<head>
	<title>Row Banding (including row headers)</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header />
</head>

<body>

<h2>Row Banding (including row headers)</h2>
<p>Uses a custom grid filter to render  row banding
for row data and  row headers.</p>
<br>

<blox:grid id="rbGridBloxMSAS"
	width="80%"
	height="500"
	bandingEnabled="true"
	menubarVisible="false">
	<bloxui:gridFilter className="<%= BandingFilter.class.getName() %>" />
	<blox:data bloxRef="rbDataBloxMSAS" />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=MSAS/UIExtensibility/rowBanding.jsp">View Source</a>

</body>

</html>