<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox  - Commonly Used Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>ChartBlox - Commonly Used Settings</h2>
<p>This ChartBlox uses some of the more commonly used property settings, including the following component properties:</p>
<ul>
  <li>chart: height, width, title, and chartType</li>
</ul>

<blox:chart id="CommonChartBloxACS"
	width="100%"
	height="90%"
	title="Products by Time"
	chartType="Bar">

	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])"/>

</blox:chart>

<hr>
<a href="../viewSource.jsp?file=BloxBasics/chartBloxCommon.jsp">View Source</a>

</body>

</html>
