<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>GridBlox  - Commonly Used Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" >
	<blox:header/>
</head>

<body>

<h2>GridBlox  - Commonly Used Settings</h2>
<p>This GridBlox uses the following frequently modified property settings:</p>
<ul>
  <li>grid: height, width, and defaultCellFormat</li>
</ul>

<blox:grid id="CommonGridBloxACS"
	width="100%"
	height="90%"
	defaultCellFormat="#,###">

	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
		

</blox:grid>

<hr>
<a href="../viewSource.jsp?file=BloxBasics/gridBloxCommon.jsp">View Source</a>

</body>

</html>
