<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page errorPage="errorPage.jsp" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Error Page Test</title>
	<blox:header/>
</head>

<body>
<h2>Custom Error Page</h2>
<p>Shows an example of a custom error page being returned when a run-time Java exception is thrown.</p>
<form><input type="button" value="Generate Error" onClick="location.href='generateError.jsp'">
</form>

<blox:grid id="errorTestPBACS">
	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Scenario].[Actual],[Scenario].[Budget],[Scenario].[Revised]} ON COLUMNS, {[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])"/>
</blox:grid>

<hr>
<a href="../viewSource.jsp?file=ErrorHandling/errorTest.jsp">View Source</a>

</body>

</html>
