<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Cell Links: Opening an Information Window</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Cell Links: Opening an Information Window</h2>
<p>Shows an example using cell links to give users a link for 
further details about a particular data value.</p>
<br>

<blox:grid id="cellLinksGridBloxACS"
	width="475"
	height="150"
	defaultCellFormat="#,###.00"
	menubarVisible="false">
	<blox:toolbar visible="false" />
	<blox:cellLink
		scope="{Scenario: Variance %}"
		description="Link to Variance % Information Page)"
		link="cellLinksInfoPage.html" />
	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Scenario].[Actual],[Scenario].[Budget]} ON COLUMNS, {[All Products],[All Products].Children} ON ROWS FROM qcc_2003 WHERE ([Time (Calendar)].[2000])" 
		calculatedMembers="Scenario : Variance = [qcc_2003].[Scenario].[Actual] - [qcc_2003].[Scenario].[Budget], Scenario : Variance % = (([qcc_2003].[Scenario].[Actual] - [qcc_2003].[Scenario].[Budget]) / [qcc_2003].[Scenario].[Budget]) * 100" />
</blox:grid>

<hr>
<a href="../viewSource.jsp?file=Highlighting/cellLinks.jsp">View Source</a>

</body>
</html>
