<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Asymmetric Report - All Blox Disabled</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Asymmetric Report - Entire Blox Disabled</h2>

<br>

<blox:present id="AR1PresentBloxACS"
	bloxEnabled="false"
	dataLayoutAvailable="false">
	<blox:toolbar visible="false" />
	<blox:chart visible="false" />
	<blox:data 
		dataSourceName="ACS"
		query="SELECT {([Time].[All Time Periods].[2000], [Scenario].[Actual]), ([Time].[All Time Periods].[2001], [Scenario].[Actual]), ([Time].[All Time Periods].[2001], [Scenario].[Budget]), ( [Time].[All Time Periods].[2001], [Scenario].[Variance]), ([Time].[All Time Periods].[2001], [Scenario].[Variance %])} ON COLUMNS, {[Products].[All Products], [Products].[All Products].[Chocolate Blocks], [Products].[All Products].[Chocolate Nuts], [Products].[All Products].[Specialties], [Products].[All Products].[Truffles]} ON ROWS FROM qcc WHERE ([Measures].[Sales])" />
</blox:present>

<hr>
<a href="../viewSource.jsp?file=Interacting/asymReportAllBloxDisabled.jsp">View Source</a>
  
</body>

</html>
