<%@ page import="com.alphablox.blox.filter.*" %>
<%@ page import="com.alphablox.blox.*" %>
<%@ page import="com.alphablox.blox.repository.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>

<%!
  final String DEFAULT_DATA_SOURCE = "ACS";
  
  String getDataSource(HttpSession ses) {
    String dataSource = (String)ses.getAttribute("dataSourceName");
    
    if (dataSource == null) {
      dataSource = DEFAULT_DATA_SOURCE;
    }
    
    return dataSource;
  }
  
  void setInitialBloxState(PresentBlox blox, HttpSession ses) throws Exception {
    blox.getDataBlox().setDataSourceName(getDataSource(ses));
    blox.setDividerLocation(0.51);
    blox.getGridBlox().setBandingEnabled(true);
    blox.getChartBlox().setDwellLabelsEnabled(false);
    blox.getDataBlox().connect();
  }
  
  public String monthToString(int month) {
    switch(month) {
      case  0: return "January";
      case  1: return "Febuary";
      case  2: return "March";
      case  3: return "April";
      case  4: return "May";
      case  5: return "June";
      case  6: return "July";
      case  7: return "August";
      case  8: return "September";
      case  9: return "October";
      case 10: return "November";
      case 11: return "December";
      
      default: return "Unknown";
    }
  }
  
  public short monthToQuarter(int month) {
    switch(month) {
      case  0: case  1:  case 2: return 1;
      case  3: case  4:  case 5: return 2;
      case  6: case  7:  case 8: return 3;
      case  9: case 10: case 11: return 4;
      default: return 0;
    }
  }
  
  public String dateFormat(Calendar calendar, int DateFormatInt) {
    DateFormat format = DateFormat.getDateInstance(DateFormatInt);
    String dateString = format.format(calendar.getTime());
    
    return dateString;
  }
  
  public String writeQuarterOptions(int month) {
    StringBuffer buf = new StringBuffer();
    
    buf.append("  <option value=\"QTR 1 \"");
    if ((month >= 0) && (month <= 2)) {
      buf.append(" selected");
    }
    buf.append(">1st Quarter\r\n");
    
    buf.append("  <option value=\"QTR 2 \"");
    if ((month >= 3) && (month <= 5)) {
      buf.append("selected");
    }
    buf.append(">2nd Quarter\r\n");
    
    buf.append("  <option value=\"QTR 3 \"");
    if ((month >= 6) && (month <= 8)) {
      buf.append("selected");
    }
    buf.append(">3rd Quarter\r\n");
    
    buf.append("  <option value=\"QTR 4 \"");
    if ((month >= 9) && (month <= 11)) {
      buf.append("selected");
    }
    buf.append(">4th Quarter\r\n");
    
    return buf.toString();
  }
  
  public static String replaceText(String source, String oldText, String newText) {
    StringBuffer output = new StringBuffer( );
    int index = 0;
    int oldLen = oldText.length();
    
    while (index < source.length()) {
      int next = source.indexOf( oldText, index );
      
      if (next == -1) {
        output.append( source.substring( index ) );
        break;
      }
      
      output.append(source.substring(index, next));
      output.append(newText);
      
      index = next + oldLen;
    }
    
    return output.toString();
  }
  
  String getString(String inString) {
    if ((inString == null) || (inString.length() <= 0)) {
      inString = "&nbsp;";
    }
    
    return inString;
  }
  
  String colorNameToRGB(String name) {
    String rgb = name;
    
    if (name.equalsIgnoreCase("aqua")) {
      rgb = "#00ffff";
    }
    else if (name.equalsIgnoreCase("fuchsia")) {
      rgb = "#ff00ff";
    }
    else if (name.equalsIgnoreCase("gray")) {
      rgb = "#666666";
    }
    else if (name.equalsIgnoreCase("green")) {
      rgb = "#006600";
    }
    else if (name.equalsIgnoreCase("lime")) {
      rgb = "#00ff00";
    }
    else if (name.equalsIgnoreCase("red")) {
      rgb = "#ff0000";
    }
    else if (name.equalsIgnoreCase("silver")) {
      rgb = "#cccccc";
    }
    else if (name.equalsIgnoreCase("teal")) {
      rgb = "#006666";
    }
    else if (name.equalsIgnoreCase("yellow")) {
      rgb = "#ffff00";
    }
    
    return rgb;
  }
  
  String convertHtmlCharacters(String in) {
    in = replaceText(in, "<", "&lt;");
    in = replaceText(in, ">", "&gt;");
    in = replaceText(in, "\"", "&quot;");
    in = replaceText(in, "&", "&amp;");
    in = replaceText(in, " ", "&nbsp;");
    
    return in;
  }
%>

<%
  final String QUERY = "SELECT {[Time (Fiscal)], [Time (Fiscal)].Children} ON COLUMNS, " +
                       "{[All Locations], [All Locations].Children} ON ROWS " +
                       "FROM [qcc_2003]";
%>


