package com.alphablox.bloxsampler.banding;

import com.alphablox.blox.uimodel.tags.IGridFilter;
import com.alphablox.blox.uimodel.GridBrixModel;
import com.alphablox.blox.uimodel.core.grid.GridRow;
import com.alphablox.blox.uimodel.core.grid.GridCell;
import com.alphablox.blox.uimodel.core.Style;
import com.alphablox.blox.DataViewBlox;
import java.util.Iterator;

/**
 * Created by IntelliJ IDEA.
 * User: SBANG
 * Date: Dec 11, 2003
 * Time: 4:37:05 PM
 * To change this template use Options | File Templates.
 */
public class BandingFilter implements IGridFilter
{

    public void gridFilter( DataViewBlox blox, GridBrixModel grid ) throws Exception {
      try {
	      boolean ban = false;
		for ( Iterator rowIterator = grid.rowIterator(); rowIterator.hasNext(); ) {
		    for ( Iterator rowCells = ((GridRow) rowIterator.next()).iterator(); rowCells.hasNext();){
		        GridCell gc = (GridCell) rowCells.next();
				if ( gc.isColumnHeader() ) break;
				if ( ban ) gc.setStyle( new Style("background-color:lightgreen;color:black;") );
				  else gc.setStyle( new Style("background-color:white;color:black;") );
				gc.changed();
		    }
		    ban = !ban;
		}
      } catch (Exception e ) { System.out.println( "Exception is \n " +e); }
    }
  public void cellFilter( DataViewBlox blox, GridCell cell ) throws Exception {
   }
}
