<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>E-mail Example Menu</title>
	<blox:header/>

	<style>
		body {
			background: #FFE4B3;
			}
		a {
			text-decoration:none;
			}
		a:hover {
			text-decoration:underline;
			}
	</style>
	<link rel="stylesheet" href="styles1.css" type="text/css">
</head>

<body>

<!-- This menuing system uses a TreeFormBlox and its nested Blox components.  -->

<bloxform:tree id="EmailExample" rootVisible="false">

	<bloxform:folder>

		<bloxform:item label="Overview"
				href="help/overview.html"
				target="mainFrame" />

		<bloxform:item label="Requirements"
				href="help/requirements.html"
				target="mainFrame" />

		<bloxform:item label="File Structure"
				href="help/structure.html"
				target="mainFrame" />

		<bloxform:folder label="Implementation and Configuration"
				href="help/implementation.html"
				target="mainFrame">
			<bloxform:item label="Design Considerations"
				href="help/considerations.html"
				target="mainFrame" />
			<bloxform:item label="Troubleshooting"
				href="help/troubleshooting.html"
				target="mainFrame" />
		</bloxform:folder>

		<bloxform:item label="View example"
				href="emailExample.jsp"
				target="mainFrame" />

	</bloxform:folder>

</bloxform:tree>

</body>

</html>