<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.Blox,
                 fastforward.AdminControl,
				 com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.core.event.IEventHandler,
                 com.alphablox.blox.uimodel.core.event.ClickEvent,
                 com.alphablox.blox.uimodel.core.*,
                 fastforward.*"%>
<%@ page errorPage="../apperror.jsp"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ taglib uri="bloxformtld" prefix="formblox"%>
<%@ include file="../include.jsp" %>

<html>
<head>
<blox:header/>
<%
    AdminControl adminControl=ffwdAppContext.getAdminControl();
    String params="render="+ffwdAppContext.getRenderMode()+"&theme="+ffwdAppContext.getTheme();
%>
<link rel=stylesheet href="admin.css" type="text/css">
<style>

.body {
    background-color:#A9A9A9
}

.clsTreeNode {
	cursor: default;
}

.clsTreeLeaf {
	cursor: hand;
}

.clsTreeNodeLabel {
	font-weight: bold;
	cursor: default;
	margin-left: 1px;
}

.clsTreeLeafLabel {
	font-weight: normal;
	cursor: hand;
	margin-left: 1px;
}

.clsTreeNodeLabel SPAN {
	font-family: "MS Sans Serif", sans-serif;
	font-size: 8pt;
	color: #000000;
	font-weight: bold;
	cursor: default;
	margin-left: 1px;
}

.clsTreeLeafLabel SPAN {
	font-family: "MS Sans Serif", sans-serif;
	font-size: 8pt;
	color: #000000;
	font-weight: normal;
	cursor: hand;
	margin-left: 1px;
}

.clsTreeNodeLabelSelected {
	background-color: #000000;
	color: #FFFFFF;
	cursor: default;
	margin-left: 1px;
}

.clsTreeLeafLabelSelected {
	background-color: #000000;
	color: #FFFFFF;
	cursor: hand;
	margin-left: 1px;
}

.clsTreeNodeLabelSelected SPAN {
	font-family: "MS Sans Serif", sans-serif;
	font-size: 8pt;
	background-color: #000000;
	color: #FFFFFF;
	font-weight: bold;
	cursor: default;
	margin-left: 1px;
}

.clsTreeLeafLabelSelected SPAN {
	font-family: "MS Sans Serif", sans-serif;
	font-size: 8pt;
	background-color: #000000;
	color: #FFFFFF;
	font-weight: normal;
	cursor: hand;
	margin-left: 1px;
}

    .clsTreeNode {
	    cursor: default;
    }

    .clsTreeNodeLabel SPAN {
	    cursor: default;
    }

    .clsTreeNodeLabelSelected {
        cursor: default;
    }

    </style>
</head>

<script>
  function editApplication() {
    top.ffwd_admin_main.location.href="application.jsp?<%=params%>";
  }
</script>

<body style="border-right:1px solid black;border-bottom:1 solid black;background-color:#A9A9A9;">
<div style="position:absolute; top:10px; left:10px;">
  <blox:container id="ffwdAdminToolbar" width="100%" height="100%">
    <%
      adminControl.setAdminButtons(ffwdAdminToolbar);
    %>
  </blox:container>

  <formblox:tree id="ffwdAdminNavBlox" draggingEnabled="true">
    <%
      adminControl.setTreeBlox(ffwdAdminNavBlox);
    %>
  </formblox:tree>
</div>
</body>
</html>
