<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@taglib uri="bloxtld" prefix="blox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<% response.addHeader("Cache-Control", "no-cache"); %>
<% response.addHeader("Pragma", "no-cache"); %>
 <%@ page import="fastforward.AppConfiguration,
                  fastforward.Acl,
                 com.alphablox.blox.RepositoryBlox,
                  fastforward.NavigationTree"%>
<%@ page errorPage="../apperror.jsp"%>
<%@ include file="../include.jsp" %>

<%
  fastforward.AppConfiguration appConfig=ffwdAppContext.getAppConfiguration();
  fastforward.NavigationTree.Folder folder= appConfig.getNavigationTree().findFolder(fastforward.NavigationTree.ROOT_ID);
%>

<html>
<head>
<blox:header>
      <blox:clientBean name="adminControl">
      <%-- Anyplace this bean is used it should expose the same methods--%>
        <blox:method name="okToDisplayAdminPage"/>
        <blox:method name="validateAndSaveReport"/>
        <blox:method name="validateAndPreviewReport"/>
        <blox:method name="clearUIReport"/>
        <blox:method name="updateFolder"/>
        <blox:method name="clearAdminReport"/>
      </blox:clientBean>
</blox:header>
<script>
    function doSave() {
        var label=document.folderForm.label.value;

        adminControl.updateFolder(label,null,new Array());

        // Just to ensure that any updates or dispatched dialogs are displayed
        top.ffwd_admin_control.bloxAPI.poll();
    }
</script>
<link rel=stylesheet href="admin.css" type="text/css">
</head>

<body topmargin="0" leftmargin="0" style="background-color:#DCDCDC; margin:10px;">

<form name="folderForm" method="POST">
  <div>
  <table width="100%" cellpadding="5" cellspacing="0" style="background-color:#DCDCDC;">
    <tr><td><b><blox:message key="ADMIN_EDIT_ROOT"/></b> </td></tr>
    <tr><td><blox:message key="ADMIN_ROOT_LABEL"/></td>
        <td colspan="2"><input name="label" size="40"
                               value="<%= folder.getLabel()%>"></td>
    </tr>
  </table>
  </div>
</form>
      <button id="save" onclick="doSave()"><blox:message key="ADMIN_ROOT_SAVE"/></button>

</body>
</html>
