<%@ page import="com.alphablox.blox.BloxRequest"%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page errorPage="apperror.jsp" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<!--- (C) Copyright 2006 IBM Corporation. All rights reserved. --->

<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />
<%@ include file="include.jsp" %>

<%
    String initialPage="splash.jsp";

    //
    // Display an error page if this is the "sample" application (not a copy) and necessary datasources don't exist
    //
    if (ffwdAppContext.isTemplateApplication() && !ffwdAppContext.isSampleDataSourceAvaliable())
        initialPage="datasource.jsp";
    else if (request.getUserPrincipal() == null)
        initialPage="noauthorization.jsp";

    String initialURI = initialPage + "?theme="+ffwdAppContext.getTheme();
%>
<HTML>
<HEAD>
<TITLE><%=ffwdAppContext.getTitle()%></TITLE>
<blox:header>
      <blox:clientBean name="adminControl">
      <%-- Anyplace this bean is used it should expose the same methods--%>
        <blox:method name="okToDisplayAdminPage"/>
        <blox:method name="validateAndSaveReport"/>
        <blox:method name="validateAndPreviewReport"/>
        <blox:method name="clearUIReport"/>
        <blox:method name="updateFolder"/>
        <blox:method name="clearAdminReport"/>
      </blox:clientBean>
</blox:header>
<link href="main.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="javascript" src="Callback.js"></SCRIPT>
<SCRIPT LANGUAGE="javascript">

   function setErrorHandler() {
        bloxAPI.addErrorHandler(callback.mainSessTimeoutHandler);
   }

</SCRIPT>
</HEAD>
<BODY leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" onLoad="setErrorHandler()">
    <div style="position:absolute;top:20px;left:260px;"><SPAN style="font-size: 13pt; font-weight: bold;"><%=ffwdAppContext.getTitle()%></SPAN></div>
	<TABLE columns="2" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
		<TR>
			<TD height="62" colspan="2" id="topcell">
                <TABLE border="0" cellpadding="0" cellspacing="0" width="100%" height="62">
					<TR>
						<TD rowspan="2" width="350" id="logocell" align="center"><IMG src="images/<%=ffwdAppContext.getLogo()%>" alt="Your Logo Here" align="center"></TD>
						<TD height="18" align="right" style="padding-right:10px;">
                           <span style="color:#003366;font-size:8pt;"><blox:message key="LOGGED_IN_AS"><blox:messageArg value="<%= ffwdAppContext.getUser().getName() %>"/></blox:message></span>
						</TD>
					</TR>
					<TR>
						<TD height="44" class="stripe">
                        <TABLE border="0" cellpadding="0" cellspacing="0" width="100%" height="44">
                        <tr>
                        <td align="left"><table cellpadding="0" cellspacing="0" border="0" height="100%"><tr><td><IMG src="images/blubar_slice0.gif"></td></tr></table></td>
                        <td><table cellpadding="0" cellspacing="0" border="0" width="110%" height="100%"><tr><TD width="100%" id="headertitle">&nbsp;</TD></tr></table></td>
                        <td align="right"><table  cellpadding="0" cellspacing="0" border="0" height="100%"><tr><TD><IMG src="images/blubar_slice2.gif"></TD><TD id="tools1"><blox:display bloxRef="<%=ffwdAppContext.getToolbar().getBloxName()%>"/></TD><TD><IMG src="images/blu_n_gry_bar_slice1.gif"></TD><TD id="tools2"><blox:display bloxRef="<%=ffwdAppContext.getHelpToolbar().getBloxName()%>"/></TD>
                        </tr></table></td></tr>
                        </TABLE>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
        <TD>
			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
				<TR>
					<TD height="100%" width="350"><!-- this is where the tree goes -->
						<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
						<TR>
                            <TD height="32" id="tabcell"><blox:display bloxRef="<%=ffwdAppContext.getReportViewSelector().getBloxName()%>"/>
                            </TD>
						</TR>
						<TR>
						    <TD id="treecell">
                                <div style="height:100%;overflow:auto">
                                <blox:display bloxRef="<%=ffwdAppContext.getReportNavigationTree().getBloxName()%>"/>
                                </div>
                            </TD>
						</TR>
						</TABLE>
					</TD>
					<TD width="85%">
						<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
							<TR>
								<TD height="24" id="titlecell">
                                <table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td align="left"><table cellpadding="0" cellspacing="0" border="0"><tr><td align="left" width="10">&nbsp;</td><td align="left" valign="bottom"><blox:display bloxRef="<%=ffwdAppContext.getReportTitleBlox().getBloxName()%>"/></td><td align="left">&nbsp;</td><td align="left" valign="bottom"><blox:display bloxRef="<%=ffwdAppContext.getReportDescriptionBlox().getBloxName()%>"/></td></tr></table></td><td align="right">&nbsp;</td><td align="right"><blox:display bloxRef="<%=ffwdAppContext.getReportHelpLinkBlox().getBloxName()%>"/></td><td align="right" width="10"></td></tr></table>
								</TD>
							</TR>
							<TR>
								<TD>
									<IFRAME id="template" name="template" height="100%" width="100%" frameborder="no" src="<%= initialURI %>">
<blox:message key="FRAME_SUPPORT_REQUIRED"/>
</IFRAME>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
			</TABLE>
            </TD>
		</TR>
		<TR>
			<TD colspan="2" width="100%" height="18" id="footercell">
            <%=ffwdAppContext.getFooter()%>
			</TD>
		</TR>
	</TABLE>
</BODY>
</HTML>
