<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.query.MDBQueryBlox,
                 com.alphablox.blox.logic.query.MDBQueryBloxImpl,
                 com.alphablox.blox.logic.query.MDBQueryUtil"%>
<%@ include file="../../reportdata.jsp" %>
<%@taglib uri="bloxtld" prefix="blox"%>
<%@taglib uri="bloxlogictld" prefix="bloxlogic"%>

<%
    String dataSourceName = report.getParameter("dataSourceName");
    String rowDimension = report.getParameter("rowDimension");
    String columnDimension = report.getParameter("columnDimension");
    String[] columnMembers = report.getParameterValues("columnMembers");
    String[] rowMembers = report.getParameterValues("rowMembers");
    String pageDimension = report.getParameter("pageDimension");
    String pageMember = report.getParameter("pageMember");
    String gridChartVisible = report.getParameter("gridChartVisible");
    String chartType = report.getParameter("chartType");
    String menubarVisible = report.getParameter("menubarVisible");
    String toolbarVisible = report.getParameter("toolbarVisible");
    String dataLayoutVisible = report.getParameter("dataLayoutVisible");
    String cubeName = report.getParameter("cubeName");
    String gridBanding = report.getParameter("gridBanding");

    String gridVisible="true";
    String chartVisible="true";

    if (gridChartVisible.equals("grid"))
        chartVisible="false";
    else if (gridChartVisible.equals("chart"))
        gridVisible="false";
%>
<blox:data id="dataBlox" dataSourceName="<%=dataSourceName%>" useAliases="true"
           selectableSlicerDimensions="<%=pageDimension%>" />

<bloxlogic:mdbQuery id="query" dataBloxRef="dataBlox" cubeName="<%=cubeName%>" >
    <bloxlogic:axis type="rows">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=rowDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=MDBQueryUtil.toTuples(rowMembers)%>"/>
        </bloxlogic:tupleList>
    </bloxlogic:axis>

    <bloxlogic:axis type="columns">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=columnDimension%></bloxlogic:dimension>
            <bloxlogic:tuple list="<%=MDBQueryUtil.toTuples(columnMembers)%>" />
        </bloxlogic:tupleList>

    </bloxlogic:axis>
    <bloxlogic:axis type="pages">
        <bloxlogic:tupleList>
            <bloxlogic:dimension><%=pageDimension%></bloxlogic:dimension>
            <bloxlogic:tuple>
                <bloxlogic:member><%=pageMember%></bloxlogic:member>
            </bloxlogic:tuple>
        </bloxlogic:tupleList>
    </bloxlogic:axis>
</bloxlogic:mdbQuery>
<body>

<blox:present id="basicBlox" width="100%" height="100%"
    dataLayoutAvailable="<%=dataLayoutVisible%>"
    menubarVisible="<%= menubarVisible %>">
    <blox:grid visible="<%=gridVisible%>" bandingEnabled="<%=gridBanding%>"/>
    <blox:chart visible="<%=chartVisible%>" chartType="<%=chartType%>" totalsFilter="0"/>
    <blox:data bloxRef="dataBlox" />
    <blox:toolbar visible="<%=toolbarVisible%>" removeButton="Bookmark,Save,Load" />
    <%
        combineToolbars(basicBlox.getBloxModel());
    %>
</blox:present>

