<%-- Copyright 2005 IBM Corp. All rights reserved. --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.BloxContext,
                 com.alphablox.blox.Blox,
                 com.alphablox.blox.ReportBlox" %>
<%@ page import="com.alphablox.net.URLFactory"%>
<%@ include file="../../reportdata.jsp" %>

<%@ taglib uri="bloxreporttld" prefix="bloxreport"%>
<head>
  <link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />
</head>

<%
    boolean interactive = "true".equals(report.getParameter("interactive"));
    ReportBlox reportblox = null;

    if (interactive) {
      BloxContext bloxContext = (BloxContext)session.getAttribute(BloxContext.BLOX_CONTEXT_ATTR);
      reportblox = (ReportBlox)bloxContext.getBlox("reportBlox");
      reportblox.setInteractive(false);
    }
%>

<bloxreport:report interactive="<%= interactive %>" id="reportBlox" errors="false" >
</bloxreport:report>

<%
    if (interactive)
      reportblox.setInteractive(true);
%>
