<%-- Copyright 2005 IBM Corp. All rights reserved. --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.logic.timeschema.PeriodType,
                 java.util.Date,
                 com.alphablox.blox.logic.timeschema.TimeSeries,
                 com.alphablox.blox.logic.timeschema.TimeMember,
                 com.alphablox.blox.data.mdb.Member"%>
<%@ page import="com.alphablox.net.URLFactory"%>
<%@ include file="../../reportdata.jsp" %>

<%@ taglib uri="bloxreporttld" prefix="bloxreport"%>
<head>
  <link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/theme/report.css")%>" />
</head>

<%
    boolean interactive = "true".equals(report.getParameter("interactive"));
    String dataSourceName = report.getParameter("dataSourceName");
    String tableName = report.getParameter("tableName");
    String[] columnNames = report.getParameterValues("columnNames");
    String sortColumn = report.getParameter("sortColumn");
    String[] groupColumns = report.getParameterValues("groupColumns");

    String query = "select "+getCommaSeparatedList(columnNames)+" from "+tableName;
%>

<bloxreport:report interactive="<%= interactive %>" id="reportBlox" errors="false" >
    <bloxreport:sqlData query="<%= query %>">
        <bloxreport:dataSourceConnection dataSourceName="<%= dataSourceName %>" />
    </bloxreport:sqlData>

<% if (!sortColumn.equals("__NONE__")) { %>
    <bloxreport:sort member="<%= sortColumn %>" />
<% } %>

<% if (groupColumns.length > 0) { %>
	<bloxreport:group members="<%= getCommaSeparatedList(groupColumns) %>" />
<% } %>

</bloxreport:report>

<%!
    String getCommaSeparatedList(String[] values) {
        StringBuffer buffer = new StringBuffer();
	    char separator = ' ';

        for (int x=0; x<values.length; x++) {
            buffer.append(separator).append(values[x]);
            separator=',';
        }

	return buffer.toString();
   }
%>