/*
 * Copyright (c) 2003 Alphablox Corporation. All rights reserved.
 */

package com.alphablox.fts;

import com.alphablox.blox.DataViewBlox;
import com.alphablox.blox.uimodel.GridBrixModel;
import com.alphablox.blox.uimodel.core.grid.GridCell;
import com.alphablox.blox.uimodel.tags.IGridFilter;

import dhtmlQueryBuilder.QueryBuilderBean;

public  class GenerateQueryFilter implements IGridFilter
{
    public void gridFilter(DataViewBlox blox, GridBrixModel grid ) throws Exception
    {
        QueryBuilderBean qbBean = (QueryBuilderBean) grid.getUserObject();
        if ( qbBean.isAutoUpdateEnabled() )
        {
            qbBean.setQueryText( "", true );

            // Update the assymetric builder.  Is there a way to do this without going to the client?
            grid.getDispatcher().sendClientCommand( "asymIFrame.window.location='asym.jsp?action=getColumns'" );
        }
    }

    public void cellFilter( DataViewBlox blox, GridCell cell ) throws Exception
    {
    }

}

