: IBM Confidential
: OCO Source Materials
: 5724-L14
:  Copyright IBM Corp. 2005

: 
: The source code for this program is not published or otherwise divested of its trade secrets,
: irrespective of what has been deposited with the U.S. Copyright Office.


: ====================================================== :
: EXAMPLE BATCH SCRIPT FOR MERGING A PORTAL CSS INTO A   :
: NEW DB2 ALPHABLOX THEME                                :
: ====================================================== :


@echo off
setlocal


: ====================================================== :
: REQUIRED: Absolute path to portal css file.            :
: ====================================================== :
SET PORTAL_CSS_FILE=


: ====================================================== :
: REQUIRED: Absolute path to mapping.properties          :
: mapping.properties contains mapping of JSR-168 style   :
: class names to Alphablox style class names. Additional :
: class names outside of the JSR-168 style class names   :
: can be added.  Any style class name, if found in the   :
: css files, will be applied to the associated Alphablox :
: style class.                                           :
: ====================================================== :
SET MAPPING_PROPERTIES=%~dp0mapping.properties


: ====================================================== :
: REQUIRED: Name of new Alphablox theme to create.       :
: ====================================================== :
SET NEW_THEME_NAME=portal


: ====================================================== :
: OPTIONAL: Name of Alphablox theme to use as a base     :
: for the new portal theme.                              :
: (images and icons will come from this theme)           :
: ====================================================== :
SET ABX_THEME_NAME=coleman



call portaltheme.bat "%PORTAL_CSS_FILE%" "%MAPPING_PROPERTIES%" %NEW_THEME_NAME% %ABX_THEME_NAME%
endlocal