<%@ taglib uri="bloxreporttld" prefix="bloxreport" %><!--ReportBlox taglibs       -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page   import="com.alphablox.blox.*"           %><!-- ReportBlox classes APIs -->
<%@ page   import="java.util.Hashtable"            %><!-- ReportBlox classes APIs -->
<%@ include file="textBloxUtils.jsp"               %><%-- convenience methods for setting and clearing text --%>

<% 
	// set the report to non-interactive mode so the menu items do not get rendered
	String     reportName            = (String)request.getParameter( "reportname" );
	String     pdfBloxName           = reportName + "_pdf";
	ReportBlox reportBlox            = null;
	boolean    isInteractive         = false;
	String[]   resetDataColumns      = null;
	Hashtable  initialDataTextValues = null;
System.out.println( "the query string is: " + request.getQueryString() );	
	
	if( reportName != null )
	{
	 	BloxContext context = BloxContextFactory.getBloxContext(request, response);
		reportBlox = (ReportBlox)context.getBlox( reportName );
		if( reportBlox != null )
		{
			resetDataColumns      = request.getParameterValues( "resetdatacols" );
			initialDataTextValues = setDataText( resetDataColumns, reportBlox, "<value/>" );
			
			isInteractive = reportBlox.isInteractive();
			if( isInteractive )
				reportBlox.setInteractive( false );
		}
		else
		{
			out.println( "The report " + reportName + " does not exist." );
		}
	}
	else
	{
		out.println( "This page was called without a report name." );
	}
%>
<html>
<head>
	<title><%= reportName %> PDF Report</title>
</head>
<body>


<%-- The reportblox tag that follows causes the html of the report to be rendered --%>
<bloxreport:pdf id="pdf"    bloxName="<%= pdfBloxName %>"   report="<%=reportName%>" > 
</bloxreport:pdf>

<%
	resetDataText( reportBlox, initialDataTextValues );
	
	if( isInteractive )
		   reportBlox.setInteractive( true );
%>
</body>
</html>
