<%@ page import="com.alphablox.blox.*"%>
<%@ page import="javax.servlet.http.*,
                 java.util.Hashtable,
				 java.util.Enumeration" %>

<%-- The same thing that is done here with data text can also be done with
		header text, footer text, column header text, and totals text
--%>
				 
<%!
	/**
	 * @param dataCols     the names of the data columns to set to their default value of 
	 * @param reportBlox   the ReportBlox in which to reset the values
	 * @param newDataValue the string to reset the data text for all the passed in columns to
	 *
	 * @return a Hashtable of the column names whose data text was set and their original values
	 */
	public Hashtable setDataText( String[] dataCols, ReportBlox reportBlox, String newDataTextValue )
	{
		Hashtable resetDataCols = new Hashtable();
		TextBlox  textBlox      = reportBlox.getTextBlox();

		if( dataCols != null && reportBlox != null )
		{
			for( int i = 0; i < dataCols.length; i++ )
			{
				resetDataCols.put( dataCols[i], textBlox.getDataText( dataCols[i] ) );
		        textBlox.setDataText( dataCols[i], newDataTextValue );
			}
		}
		
		return resetDataCols;
	}
	
	/**
	 * @param reportBlox    the reportblox to reset the data columns on
	 * @param initialValues the data columns and their initial values
	 */
	public void resetDataText( ReportBlox reportBlox, Hashtable initialValues )
	{
		TextBlox  textBlox      = reportBlox.getTextBlox();

		if( textBlox != null && initialValues != null )
		{
			for(  Enumeration keys = initialValues.keys(); keys.hasMoreElements(); )
			{
				String key = (String)keys.nextElement();
		        textBlox.setDataText( key, (String)initialValues.get(key) );
			}
		}
	}
%>