<%@ page import="com.alphablox.net.URLFactory"%>
<!-- Importing the Blox Reporting Tag Library  -->
<%@ taglib uri="bloxreporttld" prefix="bloxreport" %>
<!-- For better error reporting. Make sure the error JSP file actually exists. -->
<%@ page errorPage="error.jsp" %> 
<!-- So multi-byte character sets display correctly -->
<%@ page contentType='text/html; charset=UTF-8' %>

<html>
<head>
	<title>The Simplest Interactive Report</title>
	<!-- using a stylesheet that defines the styles for the interactive context menus-->
	<link rel="stylesheet" href="<%= URLFactory.toExternalForm(URLFactory.SERVER_CONTEXT, "/report/report.css")%>" />

	<style>

	h1 { 
  		font-size: 16pt;
  		color: #993399;
  		font-family: Arial, Helvetica, sans-serif; background-position: center;
  	}

	p {  
  		font-family: Arial, Helvetica, sans-serif; 
  		font-size: 9pt; 
  		font-style: normal;
  	}
	</style>

</head>

<body bgcolor="#FFFFFF">
<h1>The Simplest Interactive Report</h1>
<p>Move your mouse over to each column to activate the interactive context menu. Try to add a break group, hide 
a member, sort on a member, and move a column by clicking and holding down the mouse on a column name and drag
it to reorder the columns.</p>
<bloxreport:report id="chocoblockData2" interactive="true">

	<!-- The following block of code is commented since we are using canneddata.
	You need to use SQLDataBlox and DataSourceConnectionBlox when you use
	your relational data.-->

	<%--
	<bloxreport:sqlData 
		query="SELECT ... From.... WHERE ..." >
		<bloxreport:dataSourceConnection 
			dataSourceName="yourRDB" />
	</bloxreport:sqlData>
	--%>
	

	<bloxreport:cannedData />
</bloxreport:report>


</body>
</html>
