<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox - Required Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>ChartBlox - Required Settings</h2>
<p>This ChartBlox uses only the minimum settings required to successfully generate a chart view. </p>
<br>

<blox:chart id="RequiredChartBlox">

	<blox:data
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !' />

</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxBasics/chartBloxRequired.jsp">View Source</a>

</body>

</html>
