<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>

<head>
<title>Compressing Row and Column Headers</title>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
<blox:header />
</head>

<body>

<h2>Compressing Row and Column Headers</h2>
<p>Shows the use of a nested <code>&lt;bloxui:compressHeaders&gt;</code> tag in a GridBlox to compress member names from multiple headers into single
      row and column headers.</p>
<br>
<blox:grid id="compressHeadersGridBlox" 
	width="100%"
	height="90%">

	<blox:data
		dataSourceName="QCC-Essbase"
    	query='<SYM <COLUMN ("All Time Periods","Scenario") "2000" "Actual" "Forecast" "Variance" "Variance %" "Sales" <ROW ("All Products","Measures") <ICHILD "All Products" !'
 		useAliases="true" />

	<bloxui:compressLayout
		compressRows="true" 
		compressColumns="true" 
		showOnLayoutMenu="true" 
		memberSeparator = " / " />

</blox:grid>


<hr>
<a href="../../viewSource.jsp?file=Essbase/BloxUITags/compressHeaders.jsp">View Source</a>

</body>
</html>

