<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<TITLE>"Scatter1"</TITLE>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Scatter Chart 1</h2>
<p>Scatter charts are useful for comparing large numbers of data points without
  regard to time. In the example below, the scatter points each represent 
  different products, comparing Units Sold and Avg Unit Price. With the 
  <code>chartType</code> attribute set to <code>Scatter</code>, the 
  <code>dataValueLocation</code> attribute specifies the members that 
  should appear on the axes. </p>

<blox:present id="Scatter1" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />
	
	<blox:chart 
		chartType="Scatter"
		dataValueLocation="Measures:Units Sold, Avg Unit Price"
		legendPosition="bottom" />
	
	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<COLUMN ("All Products") <SYM "Milk Chocolate Truffles" "Dark Chocolate Truffles" "White Chocolate Truffles" "Milk Chocolate Blocks" "Dark Chocolate Blocks" "White Chocolate Blocks" "Milk Chocolate Blocks w Almonds" "Chocolate Covered Almonds" "Chocolate Covered Asst Nuts" "Chocolate Covered Hazelnuts" "Chocolate Covered Macadamia Nuts" "Peanut Brittle" "Almond Brittle" "Macadamia Brittle" "Chocolate Fudge" "Caramel Suckers" "Coffee Suckers" "Valentines" "Easter" "Christmas" <ROW ("Measures") "Units Sold" "Avg Unit Price" !' />

</blox:present>
<br>
<a href="tags/Scatter1.jsp" target="CodeView">Display Code View</a>

</body>
</html>