<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<TITLE>"Scatter2"</TITLE>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Scatter Chart 2</h2>
<p>Scatter charts are useful for comparing large numbers of data points without
  regard to time. In the following example, products are compared using two measures,
Units Sold and Avg Unit Price, defined in the <code>dataValueLocation</code> attribute.</p>
<blox:present id="Scatter2" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Scatter"
		dataValueLocation="Measures:Units Sold, Avg Unit Price"
		legendPosition="bottom" />
	
	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<COLUMN ("Measures") <SYM "Units Sold" "Avg Unit Price" <ROW ("All Products") "Chocolate Covered Almonds" "Chocolate Covered Asst Nuts" "Chocolate Covered Hazelnuts" "Chocolate Covered Macadamia Nuts" !' />

</blox:present>
<br>
<a href="tags/Scatter2.jsp" target="CodeView">Display Code View</a>

</body>
</html>