<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="presentBlox4"
  visible="false"
  width="600"
  height="500"
  splitPane="false">
  <blox:data
    dataSourceName="QCC-Essbase"
	query='<ROW("All Products") <ICHILD "All Products" <COLUMN("All Time Periods") <CHILD "All Time Periods" <PAGE("All Locations") "All Locations" !'
	useAliases="true" />
  <blox:grid
    bandingEnabled="true" />
  <blox:chart
    chartType="Bar" />
</blox:present>

<html>

<head>
	<title>Query Set by by HTML Buttons - Using bloxAPI.call() Method</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header/>

<script language="JavaScript">

	function getMarket(selectedMarket) {
	  bloxAPI.call("htmlButtonsSettingQuery-called.jsp?selectedMarket=" + selectedMarket);
	}

</script>

</head>

<body>

<h2>Query Set by HTML Buttons - Using bloxAPI.call() Method</h2>

<br>

<form name="MarketForm">
  <input type="button" name="region" value="West" onClick="getMarket(this.value)">
  <input type="button" name="region" value="Central" onClick="getMarket(this.value)">
  <input type="button" name="region" value="East" onClick="getMarket(this.value)">
</form>

  <!-- Render the Blox -->
  <blox:display bloxRef="presentBlox4" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/ClientAPI/htmlButtonsSettingQuery-call.jsp">View Source</a>

</body>
</html>