<%@ page import="com.alphablox.blox.comments.Comment,
                 com.alphablox.blox.comments.CommentSet,
                 java.util.*,
                 com.alphablox.blox.CommentsBlox" %>
				 
<%
    String context = (String) request.getParameter("context");

    if (context == null)
        throw new RuntimeException("invalid request parameters in commentDisplayUI.jsp: " +
                "context=" + context);

    CommentSet commentSet = (CommentSet) session.getAttribute(context + ".Comments.currentCommentSet");
    if (commentSet == null)
        throw new RuntimeException("No commentSet found in session context in commentNew.jsp");

    CommentsBlox commentsBlox = (CommentsBlox) session.getAttribute(context + ".Comments.currentCommentsBlox");
    if (commentsBlox == null)
        throw new RuntimeException("No commentsBlox found in session context in commentNew.jsp");

    Comment comment = new Comment();

    String[] fieldNames = commentsBlox.getFieldNames();

    for (int i = 0; i < fieldNames.length; i++) {
        if (!fieldNames[i].equals(Comment.FIELD_AUTHOR)
                && !fieldNames[i].equals(Comment.FIELD_TIMESTAMP)) {
            String fieldValue = request.getParameter("field_" + fieldNames[i]);

            comment.setField( fieldNames[i], fieldValue );
        }
    }

    commentSet.addComment( comment );

%>