<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>
<html>
<head>
  <title>Comments-Enabled PresentBlox</title>
  <link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
  <blox:header/>
</head>

<body>

<h2> Comments-Enabled PresentBlox</h2>
<p>A PresentBlox with comments enabled after setting the <code>commentsEnabled</code> attribute
      on the nested GridBlox and adding a CommentsBlox tag (<code>&lt;blox:comments&gt;</code>)
      to the nested DataBlox.</p>
<br>

<br>

<blox:present id="CommentsPresentBlox"
  width="650"
  height="500"
  splitPane="true"
  dividerLocation=".5">
	<blox:grid
		commentsEnabled="true"
		defaultCellFormat="#,###"
		bandingEnabled="true" />
  <blox:data
    dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
		useAliases="true"
		selectableSlicerDimensions="All Locations">
		<blox:comments
			collectionName="CommentsCollection"
			dataSourceName="CommentsCollection" />
	</blox:data>
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Commenting/commentsEnabled.jsp">View Source</a>

</body>

</html>
