<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>ChartBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

</head>

<body>

<h2>ChartBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:chart id="pdfChartBlox"
	height="400"
	width="600"
	noDataMessage = "Loading...">
	
	<blox:data
		dataSourceName="QCC-Essbase"
		query = '<SYM <ROW ("Chocolate Type","All Time Periods",Scenario) <ICHILD "Chocolate Type" <ICHILD "All Time Periods" <ICHILD Scenario <COLUMN ("All Locations") <ICHILD "All Locations" !'
		useAliases = "true" />

</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=Essbase/ConvertingToPDF/chartToPDF.jsp">View Source</a>

</body>
</html>
