<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Cell Links: Opening an Information Window</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Cell Links: Opening an Information Window</h2>
<p>Shows an example using cell links to give users a link for 
further details about a particular data value.</p>

<br>

<blox:grid id="cellLinksGridBlox"
	width="475"
	height="350"
	defaultCellFormat="#,###.00"
	menubarVisible="true">
	<blox:toolbar />
	<blox:cellLink
		scope="{Scenario:Variance %}"
		description="Link to Variance % Information Page)"
		link="/BloxSampler/Essbase/Highlighting/cellLinksInfoPage.html" />
	<blox:data 
		dataSourceName="QCC-Essbase"
		query='<ROW ("All Products") <ICHILD "All Products" <COLUMN (Scenario) <CHILD Scenario <PAGE ("All Locations") Sales !'
		useAliases="true" />
</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Highlighting/cellLinks.jsp">View Source</a>

</body>

</html>