<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.bloxsampler.gridsort.GridSortFilter" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<html>
<head>
<title>Sorting Columns Using Column Buttons</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<blox:grid id="csGridBlox"
 	width="80%"
 	height="500">

	<blox:data
    	dataSourceName="QCC-Essbase"
     	query='<ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <CHILD "All Time Periods" <PAGE (Measures) Sales !'
      	useAliases="true" />

	<bloxui:gridFilter className="<%= GridSortFilter.class.getName() %>" />

</blox:grid>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/sortColumn.jsp">View Source</a>

</body>
</html>
