<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>ChartBlox totalsFilter Slider Enabled</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Chart totalsFilter Selector Enabled</h2>
<p>Shows the use of a generations level selector at the bottom of the chart 
for user interaction to control product and time dimensions displayed. </p>

<br>

<blox:chart id="totalsFilterChartBlox"
	width="90%"
	height="90%"
	chartType="Bar"
	totalsFilter="2"
	title="Truffle Sales for 2001">
	<blox:data
		dataSourceName="QCC-Essbase"
		query='<SYM <ROW ("All Products") <ICHILD "All Products" <COLUMN ("All Time Periods") <DESCENDANTS "2001" Sales !'
		useAliases="true" />
</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=Essbase/Interacting/totalsFilterChart.jsp">View Source</a>

</body>

</html>

