<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="cwGrid"
	visible="false"
	columnHeadersWrapped="true"
	autosizeEnabled="false"
 	defaultCellFormat="#,###.##K">

    <blox:data
    	dataSourceName="QCC-Essbase"
    	query='<ROW ("All Time Periods", "Scenario") <SYM "Feb 00" "Mar 00" "Apr 00" "May 00" "Jun 00" "Jul 00" "Aug 00" "Sep 00" "Oct 00" "Nov 00" "Dec 00" "Jan 01" "Feb 01" "Mar 01" "Apr 01" "May 01" "Jun 01" "Jul 01" "Aug 01" "Sep 01" "Oct 01" "Nov 01" "Dec 01" "Actual" "Initial Budget" "Revised Budget" <COL ("All Locations") <IDESC "All Locations" !'
    	useAliases="true"/>

</blox:grid>

<html>

<head>
<title>Column Wrapping</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Column Wrapping</h2>
<p>Example of column wrapping enabled using <code>columnHeadersWrapped</code> property. </p>
<br>

<blox:display bloxRef="cwGrid"
 	height="90%"
 	width="100%" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Presenting/columnWrapping.jsp">View Source</a>

</body>

</html>