<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:present id="PresentBlox3"
  visible="false"
  width="90%"
  height="90%"
  splitPane="false">
  <blox:data
    dataSourceName="QCC-Essbase"
useAliases="true" />
  <blox:grid
    bandingEnabled="true" />
  <blox:chart
    chartType="Bar" />
</blox:present>

<%
	String query = "<ROW (\"All Products\") <ICHILD \"All Products\" "+
                   "<COLUMN (\"All Time Periods\") <CHILD \"All Time Periods\" "+
                   "<PAGE (Measures) Sales !";

  PresentBlox3.getDataBlox().setQuery(query);
  PresentBlox3.getDataBlox().connect();
%>

<html>
<head>
	<title>PresentBlox with Initial Query in Scriptlet</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	
	<blox:header/>

</head>

<body>

<h2>Initial Query Using JSP Scriptlet</h2>
<p>Shows a Blox being loaded with the initial query set using 
a JSP scriptlet.</p>
<br>

<blox:display bloxRef="PresentBlox3" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/Retrieving/queryScriptlet.jsp">View Source</a>

</body>

</html>
