<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.GridBloxModel,
				 com.alphablox.blox.uimodel.core.event.*,
				 com.alphablox.blox.uimodel.core.*,
				 com.alphablox.blox.uimodel.*" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
<title>Tabbed Views</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Tabbed Views</h2>
<p>Shows a ContainerBlox displaying three tabbed views. </p>
<br>

<blox:container id="tabbedBlox" width="200" height="100" visible="false">
<%
	BloxModel model = tabbedBlox.getBloxModel();

	TabbedContainer tabbed;
	tabbed = new TabbedContainer();
	tabbed.setThemeClass( tabbed.getDialogThemeClass());
	tabbed.setValignment( tabbed.VALIGN_TOP );
	tabbed.setAlignment( tabbed.ALIGN_LEFT );
	tabbed.setStyle( "border:1;" );
	ComponentContainer t1 = new ComponentContainer( null, "Tab View 1" );
	t1.add( new Static( "This is Tab View 1" ) );
	ComponentContainer t2 = new ComponentContainer( null, "Tab View 2" );
	t2.add( new Static( "This is Tab View 2" ) );
	ComponentContainer t3 = new ComponentContainer( null, "Tab View 3" );
	t3.add( new Static( "This is Tab View 3" ) );

	tabbed.add( t1 );
	tabbed.add( t2 );
	tabbed.add( t3 );

	model.add( tabbed );

%>
</blox:container>

<blox:display bloxRef="tabbedBlox" />

<hr>
<a href="../../viewSource.jsp?file=Essbase/UIExtensibility/tabbedViews.jsp">View Source</a>

</body>
</html>


