<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="ercPresentBloxMSAS"
    visible="false"
	chartAvailable="false">

	<blox:dataLayout
		visible="false" />

	<blox:data
		dataSourceName="QCC-MSAS"
    	query="SELECT {([Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00], [Scenario].[All Scenario].[Actual]), ([Time].[Calendar].[All Time Periods].[2001], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01], [Scenario].[All Scenario].[Budget]), ([Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01], [Scenario].[All Scenario].[Budget])} ON COLUMNS, {[Locations].[All Locations], [Locations].[All Locations].Children} ON ROWS FROM QCC" />

	<bloxui:gridSpacer
		axis="column"
		position="before"
		scope="{ Budget; 2001 }"
		showOnLayoutMenu="true"
		description="Empty Column"
		style="background-color: blue;"
		width="10" />

	<bloxui:gridSpacer
		axis="row"
		position="after"
		scope="{ Locations:East; }"
		showOnLayoutMenu="true"
		description="Empty Row"
		style="background-color: yellow;"
		height="10" />

</blox:present>

<html>

<head>

<title>Empty Rows and Columns</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header />

</head>

<body>

<h2>Empty Rows and Columns</h2>

<blox:display bloxRef="ercPresentBloxMSAS"
    width="100%"
 	height="90%" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/BloxUITags/gridSpacer.jsp">View Source</a>

</body>

</html>