<%@ page contentType="text/html; charset=UTF-8" %>

<%!
	String getSourceLink(String in){
	String filePath = getServletConfig().getServletContext().getRealPath(in);
	System.out.println("<a href=\"source.jsp?file="+filePath+"\" target=\"CodeView\">View Code</a>");
	return "<a href=\"source.jsp?file="+filePath+"\" target=\"CodeView\">View Code</a>";
	}
%>

<html>

<head>
<link rel="stylesheet" type="text/css" href="/BloxSampler/styles/default.css" />
</head>

<body> 

<h2>Chart Gallery - Overview</h2>
<p>Below are images of some of the chart types and chart effects supported in
  DB2 Alphablox. If you want to explore a particular chart type or effect,
  click on the Interactive link to see the example running live using DB2 Alphablox. To see the code behind the chart, click on the Code link. </p>


<hr color="black" noshade>

<table> 
	<tr> 
  		<td ><h3>Combination Charts</h3></td> 
	</tr> 
	<tr> 
  		<td> 
			<table> 
				<tr> 
        			<td colspan="2"><img src="img/Combo.png"/></td> 
				</tr> 
				<tr> 
					<td align="center"> <a href="Combo.jsp">Interactive</a> </td> 
					<td align="center"> <a href="tags/Combo.jsp" target="CodeView">Code</a> </td> 
				</tr> 
			</table>
		</td> 
	</tr> 
</table>

<p>&nbsp;</p>
<table>
  <tr>
    <td ><h3>Histogram Charts</h3></td>
  </tr>
  <tr>
    <td><table>
        <tr>
          <td colspan="2"><img src="img/histogram.gif" width="355" height="233"></td>
        </tr>
        <tr>
          <td align="center"><a href="histogram.jsp">Interactive</a> </td>
          <td align="center"><a href="tags/histogram.jsp" target="CodeView">Code</a> </td>
        </tr>
    </table></td>
  </tr>
</table>
<p>&nbsp;</p>
<table> 
	<tr> 
  		<td ><h3>Dual-Axis Charts</h3></td> 
	</tr> 
	<tr> 
  		<td> 
			<table> 
				<tr> 
        			<td colspan="2"><img src="img/DualAxis.png"/></td> 
				</tr> 
				<tr> 
					<td align="center"> <a href="DualAxis.jsp">Interactive</a> </td> 
					<td align="center"> <a href="tags/DualAxis.jsp" target="CodeView">Code</a> </td> 
				</tr> 
			</table>
		</td> 
	</tr> 
</table>

<table> 
	<tr> 
  		<td ><h3>Scatter Charts</h3></td> 
	</tr> 
	<tr> 
  		<td> 
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Scatter1.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Scatter1.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Scatter1.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
  		<td> 
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Scatter2.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Scatter2.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Scatter2.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
	</tr> 
</table>

<table> 
	<tr> 
  		<td ><h3>Bubble Charts</h3></td> 
	</tr> 
	<tr> 
		<td> 
  			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Bubble1.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Bubble1.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Bubble1.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
			</table>
		</td> 
  		<td>
  	 		<table>
				<tr> 
					<td colspan="2"><img src="img/Bubble2.png"/></td> 
      			</tr> 
				<tr> 
        			<td align="center"> <a href="Bubble2.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Bubble2.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
	</tr>
</table>

<table> 
	<tr> 
  		<td ><h3>Radar Charts</h3></td> 
	</tr> 
	<tr> 
  		<td>
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Radar-Line.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Radar-Line.jsp" >Interactive</a> </td> 
        			<td align="center"> <a href="tags/Radar-Line.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
  		<td>
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Radar-Area.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Radar-Area.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Radar-Area.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
	</tr>
</table>

<table> 
	<tr> 
  		<td ><h3>Trend Charts</h3></td> 
	</tr> 
	<tr> 
  		<td> 
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Trendline.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Trendline.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Trendline.jsp" target="CodeView">Code</a> </td> 
				</tr> 
    		</table>
		</td> 
	</tr>
</table>

<table> 
	<tr> 
  		<td ><h3>Waterfall Charts</h3></td> 
	</tr> 
	<tr> 
  		<td> 
			<table> 
      			<tr> 
					<td colspan="2"><img src="img/Waterfall.png"/></td> 
				</tr> 
				<tr> 
					<td align="center"> <a href="Waterfall.jsp">Interactive</a> </td> 
					<td align="center"> <a href="tags/Waterfall.jsp" target="CodeView">Code</a> </td> 
				</tr> 
			</table>
		</td> 
	</tr> 
</table>

<table> 
  	<tr> 
    	<td ><h3>Pareto Charts</h3></td> 
  	</tr> 
  	<tr> 
    	<td> 
			<table> 
        		<tr> 
          			<td colspan="2"><img src="img/Pareto.png"/></td> 
        		</tr> 
        		<tr> 
          			<td align="center"> <a href="Pareto.jsp">Interactive</a></td> 
          			<td align="center"> <a href="tags/Pareto.jsp" target="CodeView">Code</a> </td> 
        		</tr> 
    		</table>
		</td> 
	</tr> 
</table>

<table> 
	<tr> 
  		<td > <h3>Chart Effects</h3></td> 
	</tr> 
	<tr> 
		<td> 
			<table> 
      			<tr> 
        			<td colspan="2"> <img src="img/Effects-Gradients.png"/> </td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Effects-Gradients.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Effects-Gradients.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
  		<td> 
			<table> 
      			<tr> 
        			<td colspan="2"><img src="img/Effects-Image.png"/></td> 
      			</tr> 
      			<tr> 
        			<td align="center"> <a href="Effects-Image.jsp">Interactive</a> </td> 
        			<td align="center"> <a href="tags/Effects-Image.jsp" target="CodeView">Code</a> </td> 
      			</tr> 
    		</table>
		</td> 
	</tr> 
</table>
 
</body>
</html>
