<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>ChartBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" > 

</head>

<body>

<h2>ChartBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:chart id="pdfChartBloxMSAS"
  noDataMessage = "Loading...">
	<blox:toolbar />
  <blox:data
  	dataSourceName="QCC-MSAS"
	query = "SELECT {[All Locations].[Central], [All Locations].[East], [All Locations].[West], [Locations].[All Locations]} ON COLUMNS , {crossjoin ( { crossjoin ( {[Chocolate Type].[Dark], [Chocolate Type].[Milk], [Chocolate Type].[White], [Chocolate Type] }, {[Time.Fiscal].[All Time Periods].Children, [Time.Fiscal].[All Time Periods]})}, {[Scenario].[Actual], [Scenario].[Forecast], [Scenario].[Variance], [Scenario].[Variance %]})} ON ROWS FROM QCC" />
</blox:chart>

<hr>
<a href="../../viewSource.jsp?file=MSAS/ConvertingToPDF/chartToPDF.jsp">View Source</a>

</body>
</html>