<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="cwGridMSAS"
	visible="false"
	columnHeadersWrapped="true"
	autosizeEnabled="false"
 	defaultCellFormat="#,###.##K">

	<blox:data
    	dataSourceName="QCC-MSAS"
    	query="SELECT {[Locations].[All Locations]} ON AXIS(0), crossjoin ( {[Time].[Calendar].[All Time Periods].[2000].[Qtr 1 00].[Feb 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 1 00].[Mar 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[Apr 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[May 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 2 00].[Jun 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Jul 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Aug 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 3 00].[Sep 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00].[Oct 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00].[Nov 00], [Time].[Calendar].[All Time Periods].[2000].[Qtr 4 00].[Dec 00], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Jan 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Feb 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 1 01].[Mar 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Apr 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[May 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 2 01].[Jun 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Jul 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Aug 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 3 01].[Sep 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Oct 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Nov 01], [Time].[Calendar].[All Time Periods].[2001].[Qtr 4 01].[Dec 01]}, {[Scenario].[All Scenario]}) ON AXIS(1) FROM [qcc]" />

</blox:grid>

<html>

<head>
<title>Column Wrapping</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Column Wrapping</h2>
<p>Example of column wrapping enabled using <code>columnHeadersWrapped</code> property. </p>
<br>

<blox:display bloxRef="cwGridMSAS"
	width="100%"
 	height="90%" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Presenting/columnWrapping.jsp">View Source</a>

</body>

</html>