<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>PresentBlox - Required Settings</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>PresentBlox - Required Settings</h2>
<p>This PresentBlox uses the minimum property settings required to successfully generate a combined grid and chart view. </p>
<br>

<blox:present id="RequiredPresentBloxACS">

  <blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />

</blox:present>

<hr>
<a href="../viewSource.jsp?file=BloxBasics/presentBloxRequired.jsp">View Source</a>

</body>

</html>
