<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxuitld" prefix="bloxui" %>

<blox:present id="ercPresentBloxACS"
    visible="false"
	chartAvailable="false">

	<blox:dataLayout
		visible="false" />

	<blox:data
		dataSourceName="ACS"
    	query="SELECT {([Time (Calendar)].[2000].[Qtr 3], [Scenario].[Actual]), ([Time (Calendar)].[2000].[Qtr 4], [Scenario].[Actual]), ([Time (Calendar)].[2001], [Scenario].[Budget]), ([Time (Calendar)].[2001].[Qtr 1], [Scenario].[Budget]), ([Time (Calendar)].[2001].[Qtr 2], [Scenario].[Budget])} ON COLUMNS, {[All Locations], [All Locations].Children} ON ROWS FROM qcc_2003" />

	<bloxui:gridSpacer
		axis="column"
		position="before"
		scope="{ Budget; 2001 }"
		showOnLayoutMenu="true"
		description="Empty Column"
		style="background-color: blue;"
		width="10" />

	<bloxui:gridSpacer
		axis="row"
		position="after"
		scope="{ Locations:East; }"
		showOnLayoutMenu="true"
		description="Empty Row"
		style="background-color: yellow;"
		height="10" />

</blox:present>

<html>

<head>

<title>Empty Rows and Columns</title>

<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">

<blox:header />

</head>

<body>

<h2>Empty Rows and Columns</h2>

<blox:display bloxRef="ercPresentBloxACS"
    width="100%"
 	height="90%" />

<hr>
<a href="../viewSource.jsp?file=BloxUITags/gridSpacer.jsp">View Source</a>

</body>

</html>