<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>
<head>
<title>"Scatter2"</title>
<blox:header/>
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Scatter Chart 2</h2>
<p>Scatter charts are  useful for comparing large numbers of
data points without regard to time. In the following example, products are compared using two measures, Units and Cost, defined in the <code>dataValueLocation</code> attribute.</p>
<blox:present id="Scatter2ACS" 
	width="100%" 
	height="90%">
	
	<blox:dataLayout visible="false" />

	<blox:chart 
		chartType="Scatter"
		dataValueLocation="Measures:Units, Cost"
		legendPosition="bottom" />
	
	<blox:data 
		dataSourceName="ACS"
		query="SELECT {[Measures].[Units], [Measures].[Cost]} ON COLUMNS, {[Products].[100  Truffles].Children, [Products].[200  Chocolate Blocks].Children, [Products].[300  Chocolate Nuts].Children, [Products].[400  Specialties].Children} ON ROWS FROM [qcc_2003]" />

</blox:present>
<br>
<a href="tags/Scatter2.jsp" target="CodeView">Display Code View</a>


</body>
</html>