<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<html>
  <head><title>Histogram</title>
  <blox:header/>
</head>
  
<body>
<h2>Histogram Chart</h2>
<p>This is an example of a histogram chart, which displays the number of times a data value in a 
selected column falls within a specified bin. Select Chart > Data Configuration from the menu bar, 
then click the Histogram Options tab to see the options set for this histogram.</p>
<br>

  <blox:present id="histogramACS" 
	height="500" width="700"
	dataLayoutAvailable="false"
	toolbarVisible="false"
 	dividerLocation="0.3">
  	<blox:data dataSourceName="ACS"
    	   query="SELECT {[Measures].[COGS]} ON COLUMNS, {[Time (Calendar)].[2001].[Qtr 1].[Jan].Children, [Time (Calendar)].[2001].[Qtr 1].[Feb].Children, [Time (Calendar)].[2001].[Qtr 1].[Mar].Children, [Time (Calendar)].[2001].[Qtr 2].[Apr].Children, [Time (Calendar)].[2001].[Qtr 2].[May].Children, [Time (Calendar)].[2001].[Qtr 2].[Jun].Children, [Time (Calendar)].[2001].[Qtr 3].[Jul].Children, [Time (Calendar)].[2001].[Qtr 3].[Aug].Children, [Time (Calendar)].[2001].[Qtr 3].[Sep].Children, [Time (Calendar)].[2001].[Qtr 4].[Oct].Children, [Time (Calendar)].[2001].[Qtr 4].[Nov].Children, [Time (Calendar)].[2001].[Qtr 4].[Dec].Children} ON ROWS FROM qcc_2003" />
  	<blox:chart chartType="Histogram, Vertical"
    	    histogramOptions="addCumm=false;binMode=basic;useSize=true;binSize=25000;minBin=28000"/>
  </blox:present>

<br>
<a href="tags/histogram.jsp" target="CodeView">Display Code View</a>
 
</body>
</html>

