<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>ChartBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" > 

</head>

<body>

<h2>ChartBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:chart id="pdfChartBloxACS"
  noDataMessage = "Loading...">
	<blox:toolbar />
  <blox:data
  	dataSourceName="ACS"
	query = "SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
</blox:chart>

<hr>
<a href="../viewSource.jsp?file=ConvertingToPDF/chartToPDF.jsp">View Source</a>

</body>
</html>