<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>GridBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css"> 

</head>

<body>

<h2>GridBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:grid id="pdfGridBloxACS"
	width="600"
	height="400"
	noDataMessage="Loading..."
	bandingEnabled="false"
	showRowDataGeneration="true">
	<blox:cellAlert
		condition="between"
		value="4000"
		value2="6000"
		background="pink" />
	<blox:data 
 		dataSourceName="ACS"
		query = "SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
</blox:grid>

<hr>
<a href="../viewSource.jsp?file=ConvertingToPDF/gridToPDF.jsp">View Source</a>

</body>

</html>