<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page import="com.alphablox.blox.Blox" %>

<html>

<head>
	<title>PresentBlox to PDF</title>
	<blox:header/>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css"> 

</head>

<body>

<h2>PresentBlox to PDF</h2>

<p>
Click the toolbar's Export to PDF button to generate a PDF.
</p>

<blox:present id="pdfPresentBloxACS"
	width="700" 
	height="500"
	noDataMessage="Loading...">
	<blox:grid
		bandingEnabled="false" />
	<blox:data
		dataSourceName="ACS"
		query = "SELECT {[Time (Fiscal)].Children} ON COLUMNS, {[All Products].Children, [All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
</blox:present>

<hr>
<a href="../viewSource.jsp?file=ConvertingToPDF/presentToPDF.jsp">View Source</a>

</body>
</html>
