<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<html>

<head>
	<title>Hidden Members</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css" >
	<blox:header/>
</head>

<body>

<h2>Hidden Members</h2>
<p>In this grid example, the Revised member of the Scenario dimension is hidden.</p>
<br>

<blox:grid id="hmGridBloxACS"
	visible="true"
	width="650"
	height="400"
	bandingEnabled="true"
	defaultCellFormat="#,###">
	<blox:toolbar />
	<blox:data 
		dataSourceName="ACS"
		hiddenMembers="Scenario: [qcc_2003].[Scenario].[Revised]"
		query="SELECT CROSSJOIN ({[Time (Fiscal)].[2000].[Qtr 3],[Time (Fiscal)].[2000].[Qtr 4]},{[Scenario].[Actual],[Scenario].[Budget],[Scenario].[Revised]}) ON COLUMNS, {[Products].Children} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])"/>
</blox:grid>

<hr>
<a href="../viewSource.jsp?file=Filtering/hiddenMembers.jsp">View Source</a>

</body>

</html>
