<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ taglib uri="bloxformtld" prefix="bloxform" %>

<blox:present id="CBPresentBloxACS"
	visible="false"
	width="600"
	height="350">
	<blox:toolbar/>
	<blox:data
		dataSourceName="ACS"
		query="SELECT {[Time (Calendar)].[All Time (Calendar)].Children} ON COLUMNS, {[Products].[All Products].Children, [Products].[All Products]} ON ROWS FROM qcc_2003 WHERE ([Measures].[Sales])" />
</blox:present>

<%
	session.setAttribute("CBPresentBloxACS_DataBlox",CBPresentBloxACS.getDataBlox());
	session.setAttribute("CBPresentBloxACS_GridBlox",CBPresentBloxACS.getGridBlox());
%>

<html>
<head>
    <title>CheckBoxFormBlox Setting bandingEnabled</title>
	<blox:header/>
</head>

<body>

<h2>CheckBoxFormBlox Setting bandingEnabled</h2>
<p>Shows the use of a CheckBoxFormBlox to enable alternate row banding.</p>

<table>
<tr>
<td>
<bloxform:checkBox id="bandingCheckBox"
  title="Enable Alternate Row Banding">
 <bloxform:setChangedProperty 
 	targetRef="CBPresentBloxACS_GridBlox" 
	targetProperty="bandingEnabled" />
 </bloxform:checkBox>
</td>
</tr>
</table>
<blox:display bloxRef="CBPresentBloxACS" />

<hr>
<a href="../viewSource.jsp?file=FormBlox/checkBoxFormBlox.jsp">View Source</a>

</body>

</html>