<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="cwGridACS"
	visible="false"
	columnHeadersWrapped="true"
 	defaultCellFormat="#,###.##K">

	<blox:data
    	dataSourceName="ACS"
    	query="SELECT {[Locations].[All Locations]} ON COLUMNS, crossjoin ( {[Time (Calendar)].[2000].[Qtr 1].[Feb], [Time (Calendar)].[2000].[Qtr 1].[Mar], [Time (Calendar)].[2000].[Qtr 2].[Apr], [Time (Calendar)].[2000].[Qtr 2].[May], [Time (Calendar)].[2000].[Qtr 2].[Jun], [Time (Calendar)].[2000].[Qtr 3].[Jul], [Time (Calendar)].[2000].[Qtr 3].[Aug], [Time (Calendar)].[2000].[Qtr 3].[Sep], [Time (Calendar)].[2000].[Qtr 4].[Oct], [Time (Calendar)].[2000].[Qtr 4].[Nov], [Time (Calendar)].[2000].[Qtr 4].[Dec], [Time (Calendar)].[2001].[Qtr 1].[Jan], [Time (Calendar)].[2001].[Qtr 1].[Feb], [Time (Calendar)].[2001].[Qtr 1].[Mar], [Time (Calendar)].[2001].[Qtr 2].[Apr], [Time (Calendar)].[2001].[Qtr 2].[May], [Time (Calendar)].[2001].[Qtr 2].[Jun], [Time (Calendar)].[2001].[Qtr 3].[Jul], [Time (Calendar)].[2001].[Qtr 3].[Aug], [Time (Calendar)].[2001].[Qtr 3].[Sep], [Time (Calendar)].[2001].[Qtr 4].[Oct], [Time (Calendar)].[2001].[Qtr 4].[Nov], [Time (Calendar)].[2001].[Qtr 4].[Dec]}, {[Scenario].[Actual]}) ON ROWS FROM qcc_2003" />

</blox:grid>

<html>

<head>
<title>Column Wrapping</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Column Wrapping</h2>
<p>Example of column wrapping enabled using <code>columnHeadersWrapped</code> property. </p>
<br>

<blox:display bloxRef="cwGridACS"
	width="100%"
 	height="90%" />

<hr>
<a href="../viewSource.jsp?file=Presenting/columnWrapping.jsp">View Source</a>

</body>

</html>