<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.*"%>
<%@ taglib uri='bloxtld' prefix='blox'%>

<blox:data id="dataBlox" dataSourceName="TBC" visible="false"
    query="<SYM <ROW(Product) <ICHILD Product <COLUMN(Year, Scenario) Qtr1 Qtr2 <CHILD Scenario Sales !"
    selectableSlicerDimensions="All Locations" />

<html>
<head>
<TITLE>UIMODEL: Present Blox</TITLE>
<blox:header debugOptions="<%= request.getParameter(\"debug\") %>"/>
</head>

<body>

<h3>(under construction)</h3>
(Wait while interface loads and initializes.  Afterwards, Ctrl-CLICK on desired GUI component to get started.)
<!-- CSS Stylesheet Class Inspector -->
<form id="stylesheetInspector">
	<fieldset class="csLblFnt">
		<legend>CSS Class Inspector</legend>
		
  <table>
    <tr> 
      <td><span class="csLblFnt">Current object:</span><br> <input id="currentObject" type="text" style="width:150px;"> 
        <br></td>
      <td rowspan="2" valign="top">&nbsp;&nbsp;&nbsp;&nbsp;</td>
      <td rowspan="2" valign="top"><span class="csLblFnt">Current classes applied:</span><br> 
        <select name="select" size="5" id="currentClasses" style="width:150px;" onChange="loadClassDefinition( options[options.selectedIndex].value )">
          <option> </select> </td>
      <td rowspan="2" valign="top"><span class="csLblFnt">Selected class definition:</span><br> 
        <textarea cols="50" rows="12" id="currentClassDefinition" wrap="off"></textarea> </td>
    </tr>
    <tr> 
      <td valign="top"><span class="csLblFnt">Current methods available:</span><br> 
        <select id="methodsAvailable" size="5" style="width:150px;" onChange="callMethod( options[options.selectedIndex].value )">
          <option> </select> </td>
    </tr>
    <tr> 
      <td></td>
      <td></td>
      <td colspan="2" valign="top"><span class="csLblFnt">Stylesheet where this 
        class is located:</span><br> <input type="text" id="currentStylesheetURL" size="50"></td>
    </tr>
    <tr> 
      <td colspan="4"><span class="csLblFnt">Stylesheets found in document:</span></td>
    </tr>
    <tr> 
      <td valign="top"><span class="csLblFnt">Available stylesheets:</span><br> 
        <select id="stylesheetList" size="7" onChange="populateRulesList( options[options.selectedIndex].value )">
          <option></select> </td>
      <td></td>
      <td colspan="2" valign="top"><span class="csLblFnt">Available class names:</span><br> 
        <select id="stylesheetRulesList" size="7" style="width:150px;" onClick="checkHighlightState()" onChange="highlightSelectedClass( options[options.selectedIndex].value )">
          <option></select> </td>
    </tr>
  </table>
	</fieldset>	
</form>

<script language="JavaScript">

var lastStylesheet = document.styleSheets( document.styleSheets.length-1 );
var lastStylesheetInitialLength = lastStylesheet.rules.length.valueOf();

//var selectedObject = null;
var currObj = document.getElementById("currentObject");
var currClasses = document.getElementById("currentClasses");
var currClassDef = document.getElementById("currentClassDefinition");
var currStyleURL = document.getElementById("currentStylesheetURL");
var methodAvail = document.getElementById("methodsAvailable");
var stylesheetList = document.getElementById("stylesheetList");
var stylesheetRulesList = document.getElementById("stylesheetRulesList");

var done = [];
done["currentObject"] = "currentObject";
done["currentClasses"] = "currentClasses";
done["currentClassDefinition"] = "currentClassDefinition";
done["currentStylesheetURL"] = "currentStylesheetURL";
done["methodsAvailable"] = "methodsAvailable";
done["stylesheetList"] = "stylesheetList";
done["stylesheetRulesList"] = "stylesheetRulesList";

function loadCurrentObjectInfo( obj ) {
System.out.println("loadCurrentObjectInfo( "+obj+" )");
	currObj.value = (obj.id) ? obj.id : (obj.name ? obj.name : obj);
//	selectedObject = document.getElementById( currObj.value );
	methodAvail.length = 0;
	for (var t in obj) {
		if ((t+"").substring(0,2) == "on" && obj[t] != null && obj[t] != "undefined" && obj[t] != "") {
			// e.g. trim the "on" from "onclick" so we can call "click()"
			methodAvail[methodAvail.length] = new Option(t,(t+"").substring(2));
		}
	}
	loadClassNames( obj );
}

function callMethod( methodName ) {
//System.out.println("callMethod( "+methodName+" )");
//System.out.println("currObj.value = "+currObj.value);
//	loadClassNames( document.getElementById( currObj.value ) );
	// use setting location to force calling of the method
//	eval(selectedObject+"."+methodName+"()");
	eval("document.getElementById( '"+currObj.value+"' )."+methodName+"()");
//System.out.println("method called.");
//	loadClassNames( selectedObject );
	loadClassNames( document.getElementById( currObj.value ) );
}

function loadClassNames( obj ) {
System.out.println("loadClassNames( "+obj+" )");
System.out.println("obj.className = "+obj.className);
	var classNames = obj.className.split(" ");
	currClasses.length = 0;
	for (var n = 0; n < classNames.length; n++) {
		currClasses[n] = new Option( classNames[n], classNames[n] );
	}
}

function loadClassDefinition( className ) {
//System.out.println("loadClassDefinition( "+className+" )");
	for (var idx = 0; idx < document.styleSheets.length; idx++) {
		var nextStylesheet = document.styleSheets.item(idx);
		for (var ruleIdx = 0; ruleIdx < nextStylesheet.rules.length; ruleIdx++) {
			var nextRule = nextStylesheet.rules.item(ruleIdx);
			if (nextRule.selectorText.indexOf( className ) != -1 
					&& nextRule.selectorText.charAt( nextRule.selectorText.indexOf( className )-1 ) == "." ) {
/*
				if (nextRule.selectorText.length == className.length+1 
						&& nextRule.selectorText.charAt( nextRule.selectorText.indexOf( className )+className.length ) != " " ) {
					continue;
				}
*/
				var currentStyleString = [];
				currentStyleString.push( nextRule.selectorText );
				currentStyleString.push( " {\n" );
//				currentStyleString.push( nextRule.style.cssText );
//				currentStyleString.push( ";\n" );

				for (var z=0 in nextRule.style) {
					if (z != "cssText" && nextRule.style[z] != null && nextRule.style[z] != "undefined" && nextRule.style[z] != "") {
						currentStyleString.push( "\t" );
						currentStyleString.push( z );
						currentStyleString.push( ": " );
						currentStyleString.push( nextRule.style[z] );
						currentStyleString.push( ";\n" );
					}
				}

				currentStyleString.push( "}\n" );
				currClassDef.value = currentStyleString.join("");
				highlightSelectedClass( nextRule.selectorText );
				// TODO: change to select a list item
				currStyleURL.value = nextStylesheet.href;
				return;
			}
		}
	}
}

function addEventStyleHandler( obj ) {
//System.out.println("addEventStyleHandler( "+obj+" )");
	if (obj.id) {
		if (done[obj.id] != null) return;
		var onClickSource;
//		for (var t in obj) {
//			if ((t+"").substring(0,2) == "on" && obj[t] != null && obj[t] != "undefined" && obj[t] != "") {

				if (obj.onclick) {
					onClickSource = obj.onclick.toString();
				}
				else {
					onClickSource = "function(){return true;}";
				}

//				onClickSource = obj[t].toString();
				// (arg){statements;}
				var onClickBody = onClickSource.substring( onClickSource.indexOf("(") );
				// (arg){
				var preamble = onClickBody.substring( 0, onClickBody.indexOf("{")+1 );
				// statements;
//				var statements = onClickBody.substring( onClickBody.indexOf("{")+1, onClickBody.lastIndexOf("}") );
				// statements;}
				var postlude = onClickBody.substring( onClickBody.indexOf("{")+1 );
				var styleHandlerCode = [];
				styleHandlerCode.push("if(event.ctrlKey){ ");
				styleHandlerCode.push("	if(window.opener){");
				styleHandlerCode.push("		window.opener.loadCurrentObjectInfo(this);");
				styleHandlerCode.push("		event.cancelBubble = true;");
				styleHandlerCode.push("		return false;");
				styleHandlerCode.push("	}");
				styleHandlerCode.push("	else if (this.isOpen) {");
				styleHandlerCode.push("		document.parentWindow.loadCurrentObjectInfo(this);");
				styleHandlerCode.push("		event.cancelBubble = true;");
				styleHandlerCode.push("		return false;");
				styleHandlerCode.push("	}");
				styleHandlerCode.push("	else {");
				styleHandlerCode.push("		loadCurrentObjectInfo(this);");
				styleHandlerCode.push("		event.cancelBubble = true;");
				styleHandlerCode.push("		return false;");
				styleHandlerCode.push("	}");
				styleHandlerCode.push("} else { ");
				eval("document.getElementById('"+obj.id+"').onclick=function" + preamble + styleHandlerCode.join("") + postlude + "}");
//				eval("document.getElementById('"+obj.id+"')."+t+"=function"+preamble+"if(event.ctrlKey){ if(window.opener){window.opener.loadCurrentObjectInfo(this)}else if(document.parentWindow){document.parentWindow.loadCurrentObjectInfo(this)}else{loadCurrentObjectInfo(this);}}else{"+postlude+"}");
//			}
//		}
		done[obj.id] = obj.id;
	}
}

function addStyleEvents( obj ) {
//System.out.println("addStyleEvents( "+obj+" )");
	if (obj != null) {
//		if (obj.onclick)
			addEventStyleHandler( obj );
		if (obj.childNodes && obj.childNodes.length > 0) {
			for (var a = 0; a < obj.childNodes.length; a++)
				addStyleEvents( obj.childNodes[a] );
		}
	}
}

function setupStylesheetList() {
//System.out.println("setupStylesheetList()");
	stylesheetList.options.length = 0;
	var idx = 0;
	while (idx < document.styleSheets.length) {
		var nextStylesheet = document.styleSheets.item(idx);
		stylesheetList.options[stylesheetList.options.length] = new Option( nextStylesheet.href, idx );
		idx++;
	}
}

function populateRulesList( cssFileIdx ) {
//System.out.println("populateRulesList( "+cssFileIdx+" )");
	var ruleIdx = 0;
	stylesheetRulesList.options.length = 0;
	var nextStylesheet = document.styleSheets.item( cssFileIdx );
	while (ruleIdx < nextStylesheet.rules.length) {
		var nextRule = nextStylesheet.rules.item(ruleIdx);
		stylesheetRulesList.options[stylesheetRulesList.options.length] = new Option( "    "+nextRule.selectorText, nextRule.selectorText );
		ruleIdx++;
	}
}

function clearStyleHighlights() {
	if (lastStylesheet.rules.length > lastStylesheetInitialLength)
		lastStylesheet.removeRule( lastStylesheet.rules.length-1 );
}

function checkHighlightState() {
	if (event.ctrlKey && stylesheetRulesList.selectedIndex != -1) {
		stylesheetRulesList.selectedIndex = -1;
		clearStyleHighlights();
	}
}

function highlightSelectedClass( className ) {
//System.out.println("highlightSelectedClass( "+className+" )");
//System.out.println("lastStylesheetInitialLength = "+lastStylesheetInitialLength);
//System.out.println("lastStylesheet.rules.length = "+lastStylesheet.rules.length);
	clearStyleHighlights();
	if (className != null && className != "") {
		// DB2 Alphablox-specific
		var alertRule = [""];
		if (className.indexOf("Fnt") != -1 
				|| className.indexOf("Clr") != -1 
				|| className.indexOf("Lbl") != -1 
				|| className.indexOf("Txt") != -1
				|| className.indexOf("Font") != -1 
				|| className.indexOf("Color") != -1 
				|| className.indexOf("Label") != -1 
				|| className.indexOf("Text") != -1 
				|| className.indexOf("Title") != -1)
			alertRule.push("color:red;");
		else if (className.indexOf("Brdr") != -1
				|| className.indexOf("Wrpr") != -1
				|| className.indexOf("Img") != -1
				|| className.indexOf("Image") != -1)
			alertRule.push("border-color:red;");
		else if (className.indexOf("Bg") != -1
				|| className.indexOf("Background") != -1)
			alertRule.push("background-color:red;");
		else {
			alertRule.push("color:red;");
			alertRule.push("border-color:red;");
			alertRule.push("background-color:red;");
		}
		lastStylesheet.addRule( className, alertRule.join("") );
	}
}

var readyStateTimeout;
function setupStyleEvents() {
//System.out.println("setupStyleEvents()");

//	clearTimeout( readyStateTimeout );

//	if (document.readyState == "complete") {
		addStyleEvents( document );
//	}
//	else
//		readyStateTimeout = setTimeout("setupStyleEvents()",500);

}

function setupInspector() {
//System.out.println("setupInspector()");

	clearTimeout( readyStateTimeout );

	if (document.readyState == "complete") {
currObj.value = "initializing...";
		setupStylesheetList();
		setupStyleEvents();
currObj.value = "done.";
	}
	else
		readyStateTimeout = setTimeout("setupInspector()",250);

}

setupInspector();

</script>
<!-- End CSS Stylesheet Class Inspector -->

<blox:present id="asfsfeafe" width="700" height="500" menubarVisible="true">
  <blox:toolbar visible="true" />
  <blox:grid bandingEnabled="true"/>
  <blox:data bloxRef="dataBlox" />
</blox:present>
<br>

</body>
</html>

