// Copyright 2003 Alphablox Corporation. All rights reserved.
// Author : rraghavan
// Date: Jan 31, 2003 5:38:53 PM
function _showReport(url) {
    if (parent.frames['template'] != null) {
        parent.frames['template'].location.href = url;
    } else {
        alert("Can not find template FRAME (IFRAME) in which to show the report.");
    }
}

function _pollUI() {
    if (typeof(top.bloxAPI) != "undefined")
        top.bloxAPI.poll()
}

function _clearReport() {
    if (parent.frames['template'] != null) {
       parent.frames['template'].location.href = "splash.jsp";
    }
}

function _displayAdminPage(url) {
    if (typeof(url) == "undefined")
        url="admin/admin.jsp";
    top.location.href=url;
}

// called from top's copy of callback
function _mainSessTimeoutHandler(soapResponse) {
    if ( "blox:sessionexpired" == soapResponse.faultSubcode ){
        if (parent.frames['template'] != null && (parent.frames['template'].bloxAPI != "undefined")) {
            parent.frames['template'].bloxAPI.processSessionExpired();
        }
    }
    return false; // return false so that this copy of bloxAPI will display an error
}

// called from template's copy of callback
function _templateSessTimeoutHandler(soapResponse) {
    if ( "blox:sessionexpired" == soapResponse.faultSubcode ){
        if (typeof(top.bloxAPI) != "undefined") {
            top.bloxAPI.processSessionExpired();
        }
    }
    return false; // return false so that this copy of bloxAPI will display an error
}

// These methods are called back from the server and it should be available at the "top" window.
function Callback() {
	// public API
	this.showReport = _showReport;
    this.clearReport = _clearReport;
    this.pollUI = _pollUI;
    this.displayAdminPage = _displayAdminPage;
    this.mainSessTimeoutHandler = _mainSessTimeoutHandler;
    this.templateSessTimeoutHandler = _templateSessTimeoutHandler;
}

var callback = new Callback();