<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.alphablox.blox.uimodel.BloxModel,
			 com.alphablox.blox.uimodel.core.event.IEventHandler,
			 com.alphablox.blox.uimodel.core.event.ClickEvent,
			 com.alphablox.blox.uimodel.core.*,
				 fastforward.*,
				 com.alphablox.blox.Blox" %>

<%@taglib uri="bloxtld" prefix="blox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />

<jsp:useBean id="ffwdAppContext"
     class="fastforward.AppContextImpl" scope="session" />

<%
    String params="render="+ffwdAppContext.getRenderMode()+"&theme="+ffwdAppContext.getTheme();
    String applicationURL=request.getContextPath();
%>
<html>
<head>
    <blox:header>
  <blox:clientBean name="adminControl">
    <blox:method name="validateAndSaveReport"/>
    <blox:method name="validateAndPreviewReport"/>
    <blox:method name="clearUIReport"/>
    <blox:method name="updateFolder"/>
    <blox:method name="clearAdminReport"/>
  </blox:clientBean>

</blox:header>
    <link rel=stylesheet href="admin.css" type="text/css">
    <script>

  function updateTree() {
    if (parent.frames['ffwd_admin_control'] != null && (parent.frames['ffwd_admin_control'].bloxAPI != "undefined")) {
       parent.frames['ffwd_admin_control'].bloxAPI.poll();
    }
  }

  function editApplication() {
    adminControl.clearAdminReport();
    updateTree();
    top.ffwd_admin_main.location.href="application.jsp?<%=params%>";
  }

  function showApplicationPage() {
    adminControl.clearUIReport();
    adminControl.clearAdminReport();
    top.location.href="<%= applicationURL %>/start.jsp";
  }

  function showLogFile() {
    adminControl.clearAdminReport();
    updateTree()
    top.ffwd_admin_main.location.href="log.jsp?<%=params%>";
  }
</script>
</head>


<body rightmargin="0" topmargin="0" leftmargin="0" style="background-color:black; color:white; border-bottom:1px solid black">
<div style="position:absolute;left:0px;top:0px;width:220px;bottom:5px;">
  <table cellpadding="0" cellspacing="0" width="220" height="50">
    <tr width="220" height="50">
      <td width="220" s ><img src="../images/alphablox_black.gif" alt="Alphablox" align="center" ></td>
    </tr>
  </table>
  </div>

<div style="position:absolute;left:250px;top:15px;font-size:14pt;padding:5px;"><blox:message key="ADMIN_TITLE"><blox:messageArg value="<%=ffwdAppContext.getTitle()%>" /></blox:message></div>
</div>
<div style="position:absolute;top:0px;right:0px;padding:5px;">
<table border="0" cellpadding="0" cellspacing="0"><tr>
<td>
  <button onclick="javascript:editApplication()"><blox:message key="ADMIN_GLOBAL_SETTINGS"/></button>
</td>
<td>
  <button onclick="javascript:showLogFile()"><blox:message key="ADMIN_VIEW_LOG_FILE"/></button>
</td>
<td>
  <button onclick="window.open('<%= ffwdAppContext.getLocalizedURL("admin/", "help/adminhelp.html") %>','adminhelp')"><blox:message key="ADMIN_HELP"/></button>
</td>
</tr></table>

</div>
<div style="position:absolute;top:30px;right:0px;padding:5px;">
	  <a class="clsFFAdminLink" href="javascript:showApplicationPage()"><blox:message key="ADMIN_RETURN_TO_APP"/></a>
</div>
<html>
