<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.io.BufferedReader,
                 java.io.File,
                 fastforward.AppContextImpl,
                 java.io.FileInputStream,
                 java.io.InputStreamReader"%>
<%@ page errorPage="../apperror.jsp"%>
<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ include file="../include.jsp" %>

<html>
<head>
<title><blox:message key="LOG_FILE_NAME"><blox:messageArg value="<%=ffwdAppContext.getTitle()%>"/></blox:message></title>
<blox:header>
  <blox:clientBean name="ffwdAppContext">
    <blox:method name="clearLogFile" />
  </blox:clientBean>
</blox:header>
<script>
  function clearLogFile() {
    ffwdAppContext.clearLogFile();
    document.location.href="log.jsp?uid="+(new Date()).getTime();
  }
</script>
<link rel=stylesheet href="admin.css" type="text/css">
</head>

<body class="clsFFEdit">
<h2><blox:message key="LOG_FILE_NAME"><blox:messageArg value="<%=ffwdAppContext.getTitle()%>"/></blox:message></h2>

<pre>
<%
    File logFile=new File(ffwdAppContext.getRealPath(AppContextImpl.LOGFILE));

    if ("true".equalsIgnoreCase(request.getParameter("clear")))
        ffwdAppContext.clearLogFile();

    FileInputStream fis = new FileInputStream(logFile);
    InputStreamReader in = new InputStreamReader(fis, "UTF-8");

    BufferedReader reader=new BufferedReader(in);
    String line;

    try {
        while ((line=reader.readLine()) != null)
            out.println(line);
    } finally {
        reader.close();
    }
%>
</pre>
<input type="button" value="<blox:message key="ADMIN_CLEAR_LOG_FILE"/>" onClick="clearLogFile()" />
</body>
</html>