<!-- Copyright 2002 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
 <%@ page import="fastforward.PreviewReport,
                 fastforward.TemplateImpl,
                 com.alphablox.blox.BloxContext,
                 com.alphablox.blox.Blox,
                  fastforward.Template"%>
<%@ taglib uri="bloxtld" prefix="blox" %>
<%@ page errorPage="../apperror.jsp" %>
<%@ include file="../include.jsp" %>

<%
    PreviewReport report=ffwdAppContext.getAdminControl().getPreviewReport();
    String reportId = report.getId();
    Template template = report.getTemplate();
    String reportURI = template.getReportURL();

    // Remove any blox from previously viewed report - but not the edit blox
    BloxContext ctx = ffwdAppContext.getBloxContext();
    Blox[] oldBlox = ctx.getBlox();
    for (int x = 0; x < oldBlox.length; x++) {
        Blox blox = oldBlox[x];
        if (!blox.getBloxName().startsWith("ffwd")) {
            blox.deleteBlox();
        }
    }
%>

<html>
<head>
<script>
  var cookies = document.cookie;
  cookies = cookies.split(";");
  for (var i=0; i<cookies.length; i++) {
    var pair = cookies[i].split("=");
    if (pair[0] == "previewReport" && pair[1] != "<%=reportId%>")
        window.location.reload(true);
  }
</script>
<SCRIPT LANGUAGE="javascript" src="Callback.js"></SCRIPT>
<blox:header/>
<link href="../report.css" rel="stylesheet" type="text/css">
</head>

<body topmargin="0" rightmargin="0" leftmargin="0"
      class="csCmpBg csCmpBrdr"
	  style="padding:15px;border: 1px solid" >
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td height="10">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0" class="clsWindowTitle">
  <tr align="left">
    <td style="padding-left:10px"><span style="font-size:10pt;"><%= report.getLabel() %>:</span>
    &nbsp;<%= report.getDescription() %></td>
  </tr>
</table>
<tr>
<td height="95%" width="100%">
 <%
    //Use a different error page for template errors
    try {
      Cookie cookie = new Cookie("previewReport", report.getId());
      response.addCookie(cookie);
      request.setAttribute("report",report);
      pageContext.include("../"+ffwdAppContext.getLocalizedURL(reportURI));
    } catch (Throwable exc) {
      out.clearBuffer();
      request.setAttribute(PageContext.EXCEPTION,exc);
      pageContext.include("../error.jsp");
	  return;
    }
%>
</td>
</tr>
</table>
</body>
</html>

