<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
	<%@ page import="com.alphablox.blox.ContainerBlox,
                     com.alphablox.blox.Blox,
                     fastforward.*,
                     com.alphablox.blox.ServerBloxException" %>
	<%@ taglib uri="bloxtld" prefix="blox" %>
	<%@ page errorPage="apperror.jsp" %>
	<%@ include file="include.jsp" %>

<%
    ffwdAppContext.validateReportParams(request);

    String reportName = request.getParameter("report");
    String reportType = request.getParameter("type");
    reportType = (reportType == null || reportType.trim().equals("")) ? "public" : reportType;
    String groupName = request.getParameter("group");
    ffwdAppContext.getUIControl().setVisibility(reportType);
    String URI = "report.jsp?"+request.getQueryString();
    String applicationURL=request.getContextPath();

    ReportImpl report=null;
    try {
	    report = ffwdAppContext.getReport(reportName, reportType, groupName);
    } catch (NoAccessException na) {
       pageContext.forward("noaccess.jsp?report="+reportName);
	   return;
    }

    if (report == null) {
	   pageContext.forward("noreport.jsp?report="+reportName);
	   return;
    }
%>

<html>
<head>
<blox:header/>
<SCRIPT LANGUAGE="javascript" src="Callback.js"></SCRIPT>
<link href="main.css" rel="stylesheet" type="text/css">
<style>
/** overrides **/
.clsWindowTitle {
    text-align:left;
    height:100%;
}

A:link {
    color:orange;
}

A:visited {
    color:cyan;
}

</style>
</head>

<body topmargin="0" rightmargin="0" leftmargin="0" style="padding:0px;">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td height="10">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0" class="clsWindowTitle">
  <tr align="left">
    <td style="padding-left:10px"><span style="font-size:10pt;"><%= report.getLabel() %>:</span>
    &nbsp;<%= report.getDescription() %></td>
    <td align="right" style="padding-right:10px;"><a href="<%=applicationURL%>">Go to application</a></td>
  </tr>
</table>
</td></tr>
<tr>
  <td height="95%" width="100%">
    <iframe height="100%" width="100%" src="<%=URI%>"></iframe>
  </td>
</tr>
</table>
</body>
</html>
