<!-- Copyright 2003 Alphablox Corporation. All rights reserved. -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="reportdata.jsp" %>
<%@ taglib uri="bloxtld" prefix="blox"%>
<blox:resourceBundle bundle="fastforward.FastForwardBundle"  />
 <%
     String type=request.getParameter("type");
     String group=request.getParameter("group");

     appContext.log(LogFile.ERROR, "Error loading report "+
             report.getId()+" ("+type+","+user.getName()+","+group+") because the template "
                    +template.getName()+" cannot be found.");

     String adminEmail=appContext.getParameter("AdminEmail");
     String emailHref="javascript:alert('"+appContext.getString("APP_ERROR_NO_EMAIL")+"')";

     if (adminEmail != null)
       emailHref="mailto:"+adminEmail;
%>
<H3><blox:message key="ERROR_RPT_TEMPLATE_MISSING"> <blox:messageArg value="<%= template.getName() %>" /> </blox:message></H3>

<p>
 <blox:message key="ERR_RPT_TEMPLATE_MISSING_DETAIL"> <blox:messageArg value="<%= report.getLabel() %>" /> </blox:message>
</p>

<p>
<%  if (user.isAdministrator()) { %>
<blox:message key="DELETE_REPORT_ADMIN">
    <blox:messageArg value="<%= template.getName() %>" />
    <blox:messageArg value="<%= appContext.getRealPath(AppContextImpl.TEMPLATE_DIRECTORY) %>" />
</blox:message>
<% } else if (type.equals("public")) { %>
<blox:message key="DELETE_REPORT_PUBLIC">
    <blox:messageArg value="<%= emailHref %>" />
    <blox:messageArg value="<%= template.getName() %>" />
</blox:message>
<% } else { %>
<blox:message key="DELETE_REPORT_PRIVATE">
    <blox:messageArg value="<%= emailHref %>" />
    <blox:messageArg value="<%= template.getName() %>" />
</blox:message>
<% } %>
</p>