package dhtmlQueryBuilder;

import com.alphablox.blox.form.CubeSelectFormBlox;
import com.alphablox.blox.form.FormEvent;
import com.alphablox.blox.form.FormEventListener;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2003 Alphablox Corporation.
 * Company:
 * @author
 * @version 1.0
 */

public class CubeEventListener implements FormEventListener
{
    private AppContext mAppContext;
    private QueryBuilderBean mQueryBuilder;

    public CubeEventListener(QueryBuilderBean qb, AppContext appContext)
    {
        this.mAppContext = appContext;
        this.mQueryBuilder = qb;
    }

    public void valueChanged(FormEvent event) throws Exception
    {
        CubeSelectFormBlox cubeFormBlox = (CubeSelectFormBlox) event.getFormBlox();
        String query = mAppContext.getString("MSAS_DEFAULT_QUERY", cubeFormBlox.getSelectedCubeNames()[0] );
        mQueryBuilder.setQueryText(query,false);
    }
}
