<%@ taglib uri="bloxtld" prefix="blox"%>
<%@ page errorPage="../error.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" language="java" import="java.util.*,com.alphablox.blox.DataBlox,com.alphablox.blox.ServerBloxException"%>
<%@ page import="com.alphablox.fts.*" %>
<blox:resourceBundle bundle="dhtmlQueryBuilder.strings" />

<blox:data
    id="queryBuilder4_data"
    dataSourceName="tbc"
    connectOnStartup="false" />

<jsp:useBean id="appContext" class="dhtmlQueryBuilder.AppContext" scope="session"/>

<%
String rowSpec = "";
String pageSpec = "";
String colTable = "<font style=\"color:red;font-weight:bold\">No DataSource connected</font><br>";
asymColTableBean generateQuery;

if(queryBuilder4_data.isConnected())
{
    generateQuery = new asymColTableBean( queryBuilder4_data, appContext );
    rowSpec = generateQuery.generateRowSpec( );
    pageSpec = generateQuery.generatePageSpec( );
    colTable = generateQuery.generateColumnTable();

    String query = "";
    String dim = "<COL (";
    if("save".equals(request.getParameter("action")))
    {
        ArrayList arraylist = generateQuery.getDimArray();
        int dimIndex = arraylist.size();
        String columns = request.getParameter("columns");
        StringTokenizer stringToken;
        for(int i=0;i<dimIndex;i++)
        {
            dim = dim+((ArrayList)arraylist.get(i)).get(0);
            stringToken = new StringTokenizer(columns,",");
            while(stringToken.hasMoreTokens()) {
                int item = Integer.valueOf(stringToken.nextToken()).intValue();
                query = (String)((ArrayList)arraylist.get(i)).get(item)+query;
            }
        }
        dim = dim + ") ";
        query=pageSpec+dim+query+rowSpec+" !";

        try {
            queryBuilder4_data.setQuery(query);
            queryBuilder4_data.updateResultSet();
        } catch (ServerBloxException e) {
            throw (Exception)e.getCause();
        }
    }
}
%>
<html>
<head>
<title>Untitled</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel=stylesheet type="text/css" href="../css/querybuilder4.css">
<script language="JavaScript" src="../js/global.js"></script>
<script>
function validate() {
	if(form1.name.value=="") {
		alert("<blox:message key="ASYM_MESSAGE_BADFORM"/>");
		return false;
	}
}
function saveAsym(form) {
	var checkNumber = form.length;
	var result = "";
	for(var i=checkNumber-1;i>=0;i--) {
		if(form[i].checked==true) {
			result=result+form[i].name+",";
		}
	}
	result=result.substring(0,result.length-1);
	form1.columns.value=result;
	form1.submit();
}
function closeWindow() {
	window.opener.document.wizardPresent.getDataBlox().refresh();
	window.close();
}

</script>

</head>

<body>
<%
if("save".equals(request.getParameter("action"))) {
%>
<script>
   parent.queryBuilder4_dataAPI.refresh();
</script>
<%
}
%>
<form name="form1" method="post" action="asym.jsp">
	<blox:message key="ASYM_TEXTLABEL_PROMPT"/><br>
	<%= colTable %>
	<input type="hidden" name="columns" value=""/>
	<input type="hidden" name="action" value="save"/>
	<% if(colTable.startsWith("<table")) {%>
    <input type="button" class="inputButton" value="<blox:message key="ASYM_BUTTON_APPLY"/>" onClick="saveAsym(form1)"/>
    <% } %>
    <input type="button" class="inputButton" value="<blox:message key="ASYM_BUTTON_REFRESH"/>" onClick="window.location='asym.jsp?action=getColumns'"/>
</form>
</body>
</html>
